<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.3.6.1.4.1.19376.1.5.3.1.4.2
Name: Annotation Comment
Description: This entry allows for a comment to be supplied with each entry.  For CDA this structure is usually included in the target act using the <entryRelationship> element defined in the CDA Schema, but can also be used in the <component> element when the comment appears within an <organizer>. The example below shows recording a comment for an <entry>,
                and is used as context for the following sections. For HL7 Version 3 Messages, this relationship is represented with the element <sourceOf>, although the remainder of the typecodes and semantics are unchanged. Any condition or allergy may be the subject of a comment.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.3.6.1.4.1.19376.1.5.3.1.4.2-2009-12-04T000000">
   <title>Annotation Comment</title>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.4.2
Context: *[hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]
Item: (AnnotationComment)
-->

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.4.2
Context: *[hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.1.40' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']
Item: (AnnotationComment)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.1.40' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']"
         id="d109e644-false-d1403e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.2-2009-12-04T000000.html"
              test="string(@classCode)=('ACT')">(AnnotationComment): Der Wert von @classCode MUSS 'ACT' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.2-2009-12-04T000000.html"
              test="string(@moodCode)=('EVN')">(AnnotationComment): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.2-2009-12-04T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.20.1.40'])&gt;=1 ">(AnnotationComment): Element hl7:templateId[@root='2.16.840.1.113883.10.20.1.40'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.2-2009-12-04T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.20.1.40'])&lt;=1">(AnnotationComment): Element hl7:templateId[@root='2.16.840.1.113883.10.20.1.40'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.2-2009-12-04T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.2'])&gt;=1 ">(AnnotationComment): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.2'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.2-2009-12-04T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.2'])&lt;=1">(AnnotationComment): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.2'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.2-2009-12-04T000000.html"
              test="count(hl7:code[(@code='48767-8' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='48767-8' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(AnnotationComment): Element hl7:code[(@code='48767-8' and @codeSystem='2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.2-2009-12-04T000000.html"
              test="count(hl7:code[(@code='48767-8' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(AnnotationComment): Element hl7:code[(@code='48767-8' and @codeSystem='2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.2-2009-12-04T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(AnnotationComment): Element hl7:text ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.2-2009-12-04T000000.html"
              test="count(hl7:text)&lt;=1">(AnnotationComment): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.2-2009-12-04T000000.html"
              test="count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)">(AnnotationComment): Element hl7:statusCode ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.2-2009-12-04T000000.html"
              test="count(hl7:statusCode)&lt;=1">(AnnotationComment): Element hl7:statusCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.2-2009-12-04T000000.html"
              test="count(hl7:author)&lt;=1">(AnnotationComment): Element hl7:author kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.4.2
Context: *[hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.1.40' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']/hl7:templateId[@root='2.16.840.1.113883.10.20.1.40']
Item: (AnnotationComment)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.1.40' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']/hl7:templateId[@root='2.16.840.1.113883.10.20.1.40']"
         id="d109e653-false-d1489e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.2-2009-12-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AnnotationComment): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.2-2009-12-04T000000.html"
              test="string(@root)=('2.16.840.1.113883.10.20.1.40')">(AnnotationComment): Der Wert von @root MUSS '2.16.840.1.113883.10.20.1.40' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.4.2
Context: *[hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.1.40' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']
Item: (AnnotationComment)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.1.40' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']"
         id="d109e658-false-d1507e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.2-2009-12-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AnnotationComment): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.2-2009-12-04T000000.html"
              test="string(@root)=('1.3.6.1.4.1.19376.1.5.3.1.4.2')">(AnnotationComment): Der Wert von @root MUSS '1.3.6.1.4.1.19376.1.5.3.1.4.2' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.4.2
Context: *[hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.1.40' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']/hl7:code[(@code='48767-8' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (AnnotationComment)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.1.40' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']/hl7:code[(@code='48767-8' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="d109e664-false-d1525e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.2-2009-12-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AnnotationComment): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.2-2009-12-04T000000.html"
              test="@nullFlavor or (@code='48767-8' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Annotation Comment' and @codeSystemName='LOINC')">(AnnotationComment): Der Elementinhalt MUSS einer von 'code '48767-8' codeSystem '2.16.840.1.113883.6.1' displayName='Annotation Comment' codeSystemName='LOINC'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.4.2
Context: *[hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.1.40' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']/hl7:text
Item: (AnnotationComment)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.1.40' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']/hl7:text"
         id="d109e672-false-d1546e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.2-2009-12-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AnnotationComment): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.4.2
Context: *[hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.1.40' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']/hl7:statusCode
Item: (AnnotationComment)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.1.40' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']/hl7:statusCode"
         id="d109e678-false-d1560e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.2-2009-12-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AnnotationComment): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.2-2009-12-04T000000.html"
              test="(@nullFlavor or ($theValue='completed'))">(AnnotationComment): value MUSS den Wert 'completed' nutzen </assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.4.2
Context: *[hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.1.40' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']/hl7:author
Item: (AnnotationComment)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.1.40' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']/hl7:author"
         id="d109e686-false-d1581e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.2-2009-12-04T000000.html"
              test="string(@typeCode)=('AUT') or not(@typeCode)">(AnnotationComment): Der Wert von @typeCode MUSS 'AUT' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.2-2009-12-04T000000.html"
              test="count(hl7:time)&lt;=1">(AnnotationComment): Element hl7:time kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.2-2009-12-04T000000.html"
              test="count(hl7:assignedAuthor)&gt;=1 and not(hl7:assignedAuthor/@nullFlavor)">(AnnotationComment): Element hl7:assignedAuthor ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.2-2009-12-04T000000.html"
              test="count(hl7:assignedAuthor)&lt;=1">(AnnotationComment): Element hl7:assignedAuthor kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.4.2
Context: *[hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.1.40' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']/hl7:author/hl7:time
Item: (AnnotationComment)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.1.40' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']/hl7:author/hl7:time"
         id="d109e695-false-d1615e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.2-2009-12-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AnnotationComment): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.4.2
Context: *[hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.1.40' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']/hl7:author/hl7:assignedAuthor
Item: (AnnotationComment)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.1.40' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']/hl7:author/hl7:assignedAuthor"
         id="d109e704-false-d1629e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.2-2009-12-04T000000.html"
              test="string(@classCode)=('ASSIGNED') or not(@classCode)">(AnnotationComment): Der Wert von @classCode MUSS 'ASSIGNED' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.2-2009-12-04T000000.html"
              test="count(hl7:id)&gt;=1 ">(AnnotationComment): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.2-2009-12-04T000000.html"
              test="count(hl7:id)&lt;=1">(AnnotationComment): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.2-2009-12-04T000000.html"
              test="count(hl7:addr)&gt;=1 ">(AnnotationComment): Element hl7:addr ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.2-2009-12-04T000000.html"
              test="count(hl7:addr)&lt;=1">(AnnotationComment): Element hl7:addr kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.2-2009-12-04T000000.html"
              test="count(hl7:telecom)&gt;=1 ">(AnnotationComment): Element hl7:telecom ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.2-2009-12-04T000000.html"
              test="count(hl7:telecom)&lt;=1">(AnnotationComment): Element hl7:telecom kommt zu häufig vor [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:assignedPerson|hl7:representedOrganization)"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.2-2009-12-04T000000.html"
              test="$elmcount&gt;=1">(AnnotationComment): Auswahl (hl7:assignedPerson oder hl7:representedOrganization) enthält nicht genügend Elemente [min 1x]</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.2-2009-12-04T000000.html"
              test="$elmcount&lt;=2">(AnnotationComment): Auswahl (hl7:assignedPerson oder hl7:representedOrganization) enthält zu viele Elemente [max 2x]</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.2-2009-12-04T000000.html"
              test="count(hl7:assignedPerson)&lt;=1">(AnnotationComment): Element hl7:assignedPerson kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.2-2009-12-04T000000.html"
              test="count(hl7:representedOrganization)&lt;=1">(AnnotationComment): Element hl7:representedOrganization kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.4.2
Context: *[hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.1.40' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']/hl7:author/hl7:assignedAuthor/hl7:id
Item: (AnnotationComment)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.1.40' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']/hl7:author/hl7:assignedAuthor/hl7:id"
         id="d109e711-false-d1715e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.2-2009-12-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AnnotationComment): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.4.2
Context: *[hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.1.40' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']/hl7:author/hl7:assignedAuthor/hl7:addr
Item: (AnnotationComment)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.1.40' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']/hl7:author/hl7:assignedAuthor/hl7:addr"
         id="d109e713-false-d1729e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.2-2009-12-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AnnotationComment): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.4.2
Context: *[hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.1.40' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']/hl7:author/hl7:assignedAuthor/hl7:telecom
Item: (AnnotationComment)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.1.40' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']/hl7:author/hl7:assignedAuthor/hl7:telecom"
         id="d109e715-false-d1743e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.2-2009-12-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AnnotationComment): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.4.2
Context: *[hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.1.40' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']/hl7:author/hl7:assignedAuthor/hl7:assignedPerson
Item: (AnnotationComment)
-->

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.4.2
Context: *[hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]/hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.1.40' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization
Item: (AnnotationComment)
-->
</pattern>
