<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.3.6.1.4.1.19376.1.3.1.6
Name: Laboratory Observation
Description: The document SHALL contain at least one Laboratory Observation (See REFERENCE) under the Specimen Act of each Laboratory Data Processing Entry (See REFERENCE). The Laboratory Observation SHALL record a single laboratory observation in the document, either standalone or as part of a battery. It should be distinguished from the PCC Simple Observation template.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000">
   <title>Laboratory Observation</title>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]
Item: (LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]"
         id="d109e3-false-d511e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6'])&gt;=1 and not(hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/@nullFlavor)">(LaboratoryObservation): Element hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6'])&lt;=1">(LaboratoryObservation): Element hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6'] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']
Item: (LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']"
         id="d109e242-false-d536e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="string(@classCode)=('OBS')">(LaboratoryObservation): Der Wert von @classCode MUSS 'OBS' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="string(@moodCode)=('EVN')">(LaboratoryObservation): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6'])&gt;=1 and not(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']/@nullFlavor)">(LaboratoryObservation): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6'])&lt;=1">(LaboratoryObservation): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:id)&lt;=1">(LaboratoryObservation): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(LaboratoryObservation): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:code)&lt;=1">(LaboratoryObservation): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:statusCode[@code='completed' or @code='aborted' or @nullFlavor])&gt;=1 ">(LaboratoryObservation): Element hl7:statusCode[@code='completed' or @code='aborted' or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:statusCode[@code='completed' or @code='aborted' or @nullFlavor])&lt;=1">(LaboratoryObservation): Element hl7:statusCode[@code='completed' or @code='aborted' or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(LaboratoryObservation): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:value)&lt;=1">(LaboratoryObservation): Element hl7:value kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:interpretationCode)&lt;=1">(LaboratoryObservation): Element hl7:interpretationCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:methodCode)&lt;=1">(LaboratoryObservation): Element hl7:methodCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:subject)&lt;=1">(LaboratoryObservation): Element hl7:subject kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:specimen)&lt;=1">(LaboratoryObservation): Element hl7:specimen kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:performer)&lt;=1">(LaboratoryObservation): Element hl7:performer kommt zu häufig vor [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:participant[@typeCode='AUTHEN']|hl7:participant[@typeCode='RESP']|hl7:participant[@typeCode='DEV'])"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="$elmcount&lt;=3">(LaboratoryObservation): Auswahl (hl7:participant[@typeCode='AUTHEN'] oder hl7:participant[@typeCode='RESP'] oder hl7:participant[@typeCode='DEV']) enthält zu viele Elemente [max 3x]</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:participant[@typeCode='AUTHEN'])&lt;=1">(LaboratoryObservation): Element hl7:participant[@typeCode='AUTHEN'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:participant[@typeCode='RESP'])&lt;=1">(LaboratoryObservation): Element hl7:participant[@typeCode='RESP'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:participant[@typeCode='DEV'])&lt;=1">(LaboratoryObservation): Element hl7:participant[@typeCode='DEV'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:referenceRange)&lt;=1">(LaboratoryObservation): Element hl7:referenceRange kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']
Item: (LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']"
         id="d109e248-false-d727e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(LaboratoryObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="string(@root)=('1.3.6.1.4.1.19376.1.3.1.6')">(LaboratoryObservation): Der Wert von @root MUSS '1.3.6.1.4.1.19376.1.3.1.6' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:id
Item: (LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:id"
         id="d109e253-false-d745e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(LaboratoryObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:code
Item: (LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:code"
         id="d109e259-false-d759e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(LaboratoryObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:statusCode[@code='completed' or @code='aborted' or @nullFlavor]
Item: (LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:statusCode[@code='completed' or @code='aborted' or @nullFlavor]"
         id="d109e266-false-d773e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(LaboratoryObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="@nullFlavor or (@code='completed') or (@code='aborted')">(LaboratoryObservation): Der Elementinhalt MUSS einer von 'code 'completed' oder code 'aborted'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:effectiveTime
Item: (LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:effectiveTime"
         id="d109e285-false-d797e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(LaboratoryObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:value
Item: (LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:value"
         id="d109e291-false-d811e0">
      <extends rule="ANY"/>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:interpretationCode
Item: (LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:interpretationCode"
         id="d109e297-false-d822e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(LaboratoryObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:methodCode
Item: (LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:methodCode"
         id="d109e307-false-d836e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(LaboratoryObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:subject
Item: (LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:subject"
         id="d109e313-false-d850e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="string(@typeCode)=('SBJ')">(LaboratoryObservation): Der Wert von @typeCode MUSS 'SBJ' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:specimen
Item: (LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:specimen"
         id="d109e322-false-d863e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="string(@typeCode)=('SPC')">(LaboratoryObservation): Der Wert von @typeCode MUSS 'SPC' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:specimenRole)&lt;=1">(LaboratoryObservation): Element hl7:specimenRole kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:specimen/hl7:specimenRole
Item: (LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:specimen/hl7:specimenRole"
         id="d109e329-false-d885e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="string(@classCode)=('SPEC')">(LaboratoryObservation): Der Wert von @classCode MUSS 'SPEC' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:id)&lt;=1">(LaboratoryObservation): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:specimenPlayingEntity)&gt;=1 ">(LaboratoryObservation): Element hl7:specimenPlayingEntity ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:specimenPlayingEntity)&lt;=1">(LaboratoryObservation): Element hl7:specimenPlayingEntity kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(lab:productOf)&lt;=1">(LaboratoryObservation): Element lab:productOf kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:specimen/hl7:specimenRole/hl7:id
Item: (LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:specimen/hl7:specimenRole/hl7:id"
         id="d109e358-false-d928e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(LaboratoryObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:specimen/hl7:specimenRole/hl7:specimenPlayingEntity
Item: (LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:specimen/hl7:specimenRole/hl7:specimenPlayingEntity"
         id="d109e364-false-d942e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(LaboratoryObservation): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:code)&lt;=1">(LaboratoryObservation): Element hl7:code kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:specimen/hl7:specimenRole/hl7:specimenPlayingEntity/hl7:code
Item: (LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:specimen/hl7:specimenRole/hl7:specimenPlayingEntity/hl7:code"
         id="d109e374-false-d964e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(LaboratoryObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:specimen/hl7:specimenRole/lab:productOf
Item: (LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:specimen/hl7:specimenRole/lab:productOf"
         id="d109e383-false-d978e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="string(@typeCode)=('PRD')">(LaboratoryObservation): Der Wert von @typeCode MUSS 'PRD' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:specimen/hl7:specimenRole/lab:productOf/lab:procedure
Item: (LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:specimen/hl7:specimenRole/lab:productOf/lab:procedure"
         id="d109e403-false-d997e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="string(@classCode)=('PROC')">(LaboratoryObservation): Der Wert von @classCode MUSS 'PROC' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="string(@moodCode)=('EVN')">(LaboratoryObservation): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(lab:code)&lt;=1">(LaboratoryObservation): Element lab:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(lab:effectiveTime)&gt;=1 and not(lab:effectiveTime/@nullFlavor)">(LaboratoryObservation): Element lab:effectiveTime ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(lab:effectiveTime)&lt;=1">(LaboratoryObservation): Element lab:effectiveTime kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:specimen/hl7:specimenRole/lab:productOf/lab:procedure/lab:code
Item: (LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:specimen/hl7:specimenRole/lab:productOf/lab:procedure/lab:code"
         id="d109e409-false-d1041e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(LaboratoryObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:specimen/hl7:specimenRole/lab:productOf/lab:procedure/lab:effectiveTime
Item: (LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:specimen/hl7:specimenRole/lab:productOf/lab:procedure/lab:effectiveTime"
         id="d109e411-false-d1055e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(LaboratoryObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:specimen/hl7:specimenRole/lab:productOf/lab:procedure/lab:targetSiteCode
Item: (LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:specimen/hl7:specimenRole/lab:productOf/lab:procedure/lab:targetSiteCode"
         id="d109e413-false-d1069e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(LaboratoryObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:performer
Item: (LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:performer"
         id="d109e419-false-d1083e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="string(@typeCode)=('PRF')">(LaboratoryObservation): Der Wert von @typeCode MUSS 'PRF' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:author
Item: (LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:author"
         id="d109e427-false-d1096e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="string(@typeCode)=('AUT')">(LaboratoryObservation): Der Wert von @typeCode MUSS 'AUT' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:participant[@typeCode='AUTHEN']
Item: (LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:participant[@typeCode='AUTHEN']"
         id="d109e440-false-d1106e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="string(@typeCode)=('AUTHEN')">(LaboratoryObservation): Der Wert von @typeCode MUSS 'AUTHEN' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:participant[@typeCode='RESP']
Item: (LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:participant[@typeCode='RESP']"
         id="d109e448-false-d1116e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="string(@typeCode)=('RESP')">(LaboratoryObservation): Der Wert von @typeCode MUSS 'RESP' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:participant[@typeCode='DEV']
Item: (LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:participant[@typeCode='DEV']"
         id="d109e456-false-d1126e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="string(@typeCode)=('DEV')">(LaboratoryObservation): Der Wert von @typeCode MUSS 'DEV' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:entryRelationship[@typeCode='COMP']
Item: (LaboratoryObservation)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:entryRelationship[@typeCode='COMP']">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="string(@typeCode)=('COMP')">(LaboratoryObservation): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:entryRelationship[@typeCode='REFR']
Item: (LaboratoryObservation)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:entryRelationship[@typeCode='REFR']">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="string(@typeCode)=('REFR')">(LaboratoryObservation): Der Wert von @typeCode MUSS 'REFR' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:referenceRange
Item: (LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:referenceRange"
         id="d109e484-false-d1192e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="string(@typeCode)=('REFV')">(LaboratoryObservation): Der Wert von @typeCode MUSS 'REFV' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:observationRange)&gt;=1 and not(hl7:observationRange/@nullFlavor)">(LaboratoryObservation): Element hl7:observationRange ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:observationRange)&lt;=1">(LaboratoryObservation): Element hl7:observationRange kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:referenceRange/hl7:observationRange
Item: (LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:referenceRange/hl7:observationRange"
         id="d109e491-false-d1217e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="string(@classCode)=('OBS')">(LaboratoryObservation): Der Wert von @classCode MUSS 'OBS' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="string(@moodCode)=('EVN.CRT')">(LaboratoryObservation): Der Wert von @moodCode MUSS 'EVN.CRT' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:value)&lt;=1">(LaboratoryObservation): Element hl7:value kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:interpretationCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.83') or @nullFlavor])&gt;=1 ">(LaboratoryObservation): Element hl7:interpretationCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.83') or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:interpretationCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.83') or @nullFlavor])&lt;=1">(LaboratoryObservation): Element hl7:interpretationCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.83') or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:referenceRange/hl7:observationRange/hl7:value
Item: (LaboratoryObservation)
-->

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:referenceRange/hl7:observationRange/hl7:interpretationCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.83') or @nullFlavor]
Item: (LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:referenceRange/hl7:observationRange/hl7:interpretationCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.83') or @nullFlavor]"
         id="d109e503-false-d1271e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(LaboratoryObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CV" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="@nullFlavor or (@code='N' and @codeSystem='2.16.840.1.113883.5.83')">(LaboratoryObservation): Der Elementinhalt MUSS einer von 'code 'N' codeSystem '2.16.840.1.113883.5.83'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:referenceRange/hl7:observationRange/lab:precondition
Item: (LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:referenceRange/hl7:observationRange/lab:precondition"
         id="d109e508-false-d1292e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="string(@typeCode)=('PRCN')">(LaboratoryObservation): Der Wert von @typeCode MUSS 'PRCN' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(lab:criterion)&gt;=1 ">(LaboratoryObservation): Element lab:criterion ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(lab:criterion)&lt;=1">(LaboratoryObservation): Element lab:criterion kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:referenceRange/hl7:observationRange/lab:precondition/lab:criterion
Item: (LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:referenceRange/hl7:observationRange/lab:precondition/lab:criterion"
         id="d109e515-false-d1317e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="string(@classCode)=('COND')">(LaboratoryObservation): Der Wert von @classCode MUSS 'COND' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="string(@moodCode)=('EVN')">(LaboratoryObservation): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(lab:code)&gt;=1 ">(LaboratoryObservation): Element lab:code ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(lab:code)&lt;=1">(LaboratoryObservation): Element lab:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(lab:value)&gt;=1 ">(LaboratoryObservation): Element lab:value ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(lab:value)&lt;=1">(LaboratoryObservation): Element lab:value kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:referenceRange/hl7:observationRange/lab:precondition/lab:criterion/lab:code
Item: (LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:referenceRange/hl7:observationRange/lab:precondition/lab:criterion/lab:code"
         id="d109e521-false-d1358e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(LaboratoryObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']/hl7:referenceRange/hl7:observationRange/lab:precondition/lab:criterion/lab:value
Item: (LaboratoryObservation)
-->
</pattern>
