<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.756.5.30.1.1.1.1.3.9.1
Name: Laboratory Report V1
Description: Laboratory report
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.756.5.30.1.1.1.1.3.9.1-2016-03-23T164400">
   <title>Laboratory Report V1</title>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.1.1.3.9.1
Context: /
Item: (CDA-CH-LREP-V1)
-->

   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.1.1.3.9.1
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']
Item: (CDA-CH-LREP-V1)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']"
         id="d109e890-false-d1831e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.756.5.30.1.1.1.1.3.9.1-2016-03-23T164400.html"
              test="string(@classCode)=('DOCCLIN') or not(@classCode)">(CDA-CH-LREP-V1): Der Wert von @classCode MUSS 'DOCCLIN' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.756.5.30.1.1.1.1.3.9.1-2016-03-23T164400.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(CDA-CH-LREP-V1): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.756.5.30.1.1.1.1.3.9.1-2016-03-23T164400.html"
              test="string(@moodCode)=('EVN') or not(@moodCode)">(CDA-CH-LREP-V1): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.756.5.30.1.1.1.1.3.9.1-2016-03-23T164400.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(CDA-CH-LREP-V1): Attribute @moodCode MUSS vom Datentyp 'cs' sein</assert>
      <let name="languageCode"
           value="substring(cda:ClinicalDocument/cda:languageCode/@code,1,2)"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.756.5.30.1.1.1.1.3.9.1-2016-03-23T164400.html"
              test="count(hl7:realmCode)&lt;=1">(CDA-CH-LREP-V1): Element hl7:realmCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.756.5.30.1.1.1.1.3.9.1-2016-03-23T164400.html"
              test="count(hl7:typeId[@root='2.16.840.1.113883.1.3'])&gt;=1 ">(CDA-CH-LREP-V1): Element hl7:typeId[@root='2.16.840.1.113883.1.3'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.756.5.30.1.1.1.1.3.9.1-2016-03-23T164400.html"
              test="count(hl7:typeId[@root='2.16.840.1.113883.1.3'])&lt;=1">(CDA-CH-LREP-V1): Element hl7:typeId[@root='2.16.840.1.113883.1.3'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.756.5.30.1.1.1.1.3.9.1-2016-03-23T164400.html"
              test="count(hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2'])&gt;=1 and not(hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2']/@nullFlavor)">(CDA-CH-LREP-V1): Element hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.756.5.30.1.1.1.1.3.9.1-2016-03-23T164400.html"
              test="count(hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2'])&lt;=1">(CDA-CH-LREP-V1): Element hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.756.5.30.1.1.1.1.3.9.1-2016-03-23T164400.html"
              test="count(hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1'])&gt;=1 and not(hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1']/@nullFlavor)">(CDA-CH-LREP-V1): Element hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.756.5.30.1.1.1.1.3.9.1-2016-03-23T164400.html"
              test="count(hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1'])&lt;=1">(CDA-CH-LREP-V1): Element hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.756.5.30.1.1.1.1.3.9.1-2016-03-23T164400.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.12.1'])&gt;=1 ">(CDA-CH-LREP-V1): Element hl7:templateId[@root='2.16.840.1.113883.10.12.1'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.756.5.30.1.1.1.1.3.9.1-2016-03-23T164400.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.12.1'])&lt;=1">(CDA-CH-LREP-V1): Element hl7:templateId[@root='2.16.840.1.113883.10.12.1'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.756.5.30.1.1.1.1.3.9.1-2016-03-23T164400.html"
              test="count(hl7:id)&gt;=1 ">(CDA-CH-LREP-V1): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.756.5.30.1.1.1.1.3.9.1-2016-03-23T164400.html"
              test="count(hl7:id)&lt;=1">(CDA-CH-LREP-V1): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.756.5.30.1.1.1.1.3.9.1-2016-03-23T164400.html"
              test="count(hl7:code[(@code='11502-2' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor])&gt;=1 ">(CDA-CH-LREP-V1): Element hl7:code[(@code='11502-2' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.756.5.30.1.1.1.1.3.9.1-2016-03-23T164400.html"
              test="count(hl7:code[(@code='11502-2' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor])&lt;=1">(CDA-CH-LREP-V1): Element hl7:code[(@code='11502-2' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.756.5.30.1.1.1.1.3.9.1-2016-03-23T164400.html"
              test="count(hl7:title)&lt;=1">(CDA-CH-LREP-V1): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.756.5.30.1.1.1.1.3.9.1-2016-03-23T164400.html"
              test="count(hl7:effectiveTime)&gt;=1 ">(CDA-CH-LREP-V1): Element hl7:effectiveTime ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.756.5.30.1.1.1.1.3.9.1-2016-03-23T164400.html"
              test="count(hl7:effectiveTime)&lt;=1">(CDA-CH-LREP-V1): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.756.5.30.1.1.1.1.3.9.1-2016-03-23T164400.html"
              test="count(hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code) or @nullFlavor])&gt;=1 ">(CDA-CH-LREP-V1): Element hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code) or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.756.5.30.1.1.1.1.3.9.1-2016-03-23T164400.html"
              test="count(hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code) or @nullFlavor])&lt;=1">(CDA-CH-LREP-V1): Element hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code) or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.756.5.30.1.1.1.1.3.9.1-2016-03-23T164400.html"
              test="count(hl7:languageCode)&lt;=1">(CDA-CH-LREP-V1): Element hl7:languageCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.756.5.30.1.1.1.1.3.9.1-2016-03-23T164400.html"
              test="count(hl7:setId)&lt;=1">(CDA-CH-LREP-V1): Element hl7:setId kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.756.5.30.1.1.1.1.3.9.1-2016-03-23T164400.html"
              test="count(hl7:versionNumber)&lt;=1">(CDA-CH-LREP-V1): Element hl7:versionNumber kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.756.5.30.1.1.1.1.3.9.1-2016-03-23T164400.html"
              test="count(hl7:recordTarget)&gt;=1 ">(CDA-CH-LREP-V1): Element hl7:recordTarget ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.756.5.30.1.1.1.1.3.9.1-2016-03-23T164400.html"
              test="count(hl7:author)&gt;=1 ">(CDA-CH-LREP-V1): Element hl7:author ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.756.5.30.1.1.1.1.3.9.1-2016-03-23T164400.html"
              test="count(hl7:dataEnterer)&lt;=1">(CDA-CH-LREP-V1): Element hl7:dataEnterer kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.756.5.30.1.1.1.1.3.9.1-2016-03-23T164400.html"
              test="count(hl7:custodian)&gt;=1 ">(CDA-CH-LREP-V1): Element hl7:custodian ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.756.5.30.1.1.1.1.3.9.1-2016-03-23T164400.html"
              test="count(hl7:custodian)&lt;=1">(CDA-CH-LREP-V1): Element hl7:custodian kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.756.5.30.1.1.1.1.3.9.1-2016-03-23T164400.html"
              test="count(hl7:legalAuthenticator)&lt;=1">(CDA-CH-LREP-V1): Element hl7:legalAuthenticator kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.756.5.30.1.1.1.1.3.9.1-2016-03-23T164400.html"
              test="count(hl7:componentOf)&lt;=1">(CDA-CH-LREP-V1): Element hl7:componentOf kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.756.5.30.1.1.1.1.3.9.1-2016-03-23T164400.html"
              test="count(hl7:component)&gt;=1 ">(CDA-CH-LREP-V1): Element hl7:component ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.756.5.30.1.1.1.1.3.9.1-2016-03-23T164400.html"
              test="count(hl7:component)&lt;=1">(CDA-CH-LREP-V1): Element hl7:component kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.1.1.3.9.1
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:realmCode
Item: (CDA-CH-LREP-V1)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:realmCode"
         id="d109e898-false-d2170e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.756.5.30.1.1.1.1.3.9.1-2016-03-23T164400.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDA-CH-LREP-V1): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.1.1.3.9.1
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:typeId[@root='2.16.840.1.113883.1.3']
Item: (CDA-CH-LREP-V1)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:typeId[@root='2.16.840.1.113883.1.3']"
         id="d109e900-false-d2184e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.756.5.30.1.1.1.1.3.9.1-2016-03-23T164400.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDA-CH-LREP-V1): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.756.5.30.1.1.1.1.3.9.1-2016-03-23T164400.html"
              test="string(@root)=('2.16.840.1.113883.1.3')">(CDA-CH-LREP-V1): Der Wert von @root MUSS '2.16.840.1.113883.1.3' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.756.5.30.1.1.1.1.3.9.1-2016-03-23T164400.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(CDA-CH-LREP-V1): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.756.5.30.1.1.1.1.3.9.1-2016-03-23T164400.html"
              test="string(@extension)=('POCD_HD000040')">(CDA-CH-LREP-V1): Der Wert von @extension MUSS 'POCD_HD000040' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.756.5.30.1.1.1.1.3.9.1-2016-03-23T164400.html"
              test="not(@extension) or string-length(@extension)&gt;0">(CDA-CH-LREP-V1): Attribute @extension MUSS vom Datentyp 'st' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.1.1.3.9.1
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2']
Item: (CDA-CH-LREP-V1)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2']"
         id="d109e908-false-d2212e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.756.5.30.1.1.1.1.3.9.1-2016-03-23T164400.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDA-CH-LREP-V1): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.756.5.30.1.1.1.1.3.9.1-2016-03-23T164400.html"
              test="string(@root)=('2.16.756.5.30.1.1.1.1.3.9.77.1.10.2')">(CDA-CH-LREP-V1): Der Wert von @root MUSS '2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.756.5.30.1.1.1.1.3.9.1-2016-03-23T164400.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(CDA-CH-LREP-V1): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.1.1.3.9.1
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1']
Item: (CDA-CH-LREP-V1)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1']"
         id="d109e913-false-d2233e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.756.5.30.1.1.1.1.3.9.1-2016-03-23T164400.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDA-CH-LREP-V1): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.756.5.30.1.1.1.1.3.9.1-2016-03-23T164400.html"
              test="string(@root)=('2.16.756.5.30.1.1.1.1.3.9.77.1.10.1')">(CDA-CH-LREP-V1): Der Wert von @root MUSS '2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.756.5.30.1.1.1.1.3.9.1-2016-03-23T164400.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(CDA-CH-LREP-V1): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.1.1.3.9.1
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:templateId[@root='2.16.840.1.113883.10.12.1']
Item: (CDA-CH-LREP-V1)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:templateId[@root='2.16.840.1.113883.10.12.1']"
         id="d109e918-false-d2254e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.756.5.30.1.1.1.1.3.9.1-2016-03-23T164400.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDA-CH-LREP-V1): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.756.5.30.1.1.1.1.3.9.1-2016-03-23T164400.html"
              test="string(@root)=('2.16.840.1.113883.10.12.1')">(CDA-CH-LREP-V1): Der Wert von @root MUSS '2.16.840.1.113883.10.12.1' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.756.5.30.1.1.1.1.3.9.1-2016-03-23T164400.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(CDA-CH-LREP-V1): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.1.1.3.9.1
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:id
Item: (CDA-CH-LREP-V1)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:id"
         id="d109e923-false-d2275e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.756.5.30.1.1.1.1.3.9.1-2016-03-23T164400.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDA-CH-LREP-V1): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.1.1.3.9.1
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:code[(@code='11502-2' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor]
Item: (CDA-CH-LREP-V1)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:code[(@code='11502-2' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor]"
         id="d109e925-false-d2289e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.756.5.30.1.1.1.1.3.9.1-2016-03-23T164400.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDA-CH-LREP-V1): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.756.5.30.1.1.1.1.3.9.1-2016-03-23T164400.html"
              test="@nullFlavor or (@code='11502-2' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='LABORATORY REPORT.TOTAL' and @codeSystemName='LOINC')">(CDA-CH-LREP-V1): Der Elementinhalt MUSS einer von 'code '11502-2' codeSystem '2.16.840.1.113883.6.1' displayName='LABORATORY REPORT.TOTAL' codeSystemName='LOINC'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.1.1.3.9.1
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:title
Item: (CDA-CH-LREP-V1)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:title"
         id="d109e939-false-d2310e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.756.5.30.1.1.1.1.3.9.1-2016-03-23T164400.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDA-CH-LREP-V1): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.756.5.30.1.1.1.1.3.9.1-2016-03-23T164400.html"
              test="$languageCode = 'en' and cda:title/text() != 'Laboratory Specialty Section'">(CDA-CH-LREP-V1): The English title must read 'Laboratory report'</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.756.5.30.1.1.1.1.3.9.1-2016-03-23T164400.html"
              test="$languageCode = 'de' and cda:title/text() != 'Laborbefund'">(CDA-CH-LREP-V1): The German title must read 'Laborbefund'</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.756.5.30.1.1.1.1.3.9.1-2016-03-23T164400.html"
              test="$languageCode = 'fr' and cda:title/text() != 'Rapport de laboratoire'">(CDA-CH-LREP-V1): The French title must read 'Rapport de laboratoire'</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.756.5.30.1.1.1.1.3.9.1-2016-03-23T164400.html"
              test="$languageCode = 'it' and cda:title/text() != 'Rapporto di laboratorio'">(CDA-CH-LREP-V1): The Italian title must read 'Rapporto di laboratorio'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.1.1.3.9.1
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:effectiveTime
Item: (CDA-CH-LREP-V1)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:effectiveTime"
         id="d109e973-false-d2324e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.756.5.30.1.1.1.1.3.9.1-2016-03-23T164400.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDA-CH-LREP-V1): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.1.1.3.9.1
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code) or @nullFlavor]
Item: (CDA-CH-LREP-V1)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code) or @nullFlavor]"
         id="d109e975-false-d2339e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.756.5.30.1.1.1.1.3.9.1-2016-03-23T164400.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDA-CH-LREP-V1): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.756.5.30.1.1.1.1.3.9.1-2016-03-23T164400.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDA-CH-LREP-V1): Der Elementinhalt MUSS einer von '2.16.840.1.113883.1.11.16926 x_BasicConfidentialityKind (DYNAMIC)' sein.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.756.5.30.1.1.1.1.3.9.1-2016-03-23T164400.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDA-CH-LREP-V1): Der fehlende Wert '<value-of select="@nullFlavor"/>' für @code MUSS gewählt werden aus dem Set gültiger null flavors für dieses Attribut oder denen assoziiert mit Value Set 2.16.840.1.113883.1.11.16926 x_BasicConfidentialityKind (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.1.1.3.9.1
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:languageCode
Item: (CDA-CH-LREP-V1)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:languageCode"
         id="d109e980-false-d2367e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.756.5.30.1.1.1.1.3.9.1-2016-03-23T164400.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDA-CH-LREP-V1): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.1.1.3.9.1
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:setId
Item: (CDA-CH-LREP-V1)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:setId"
         id="d109e985-false-d2386e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.756.5.30.1.1.1.1.3.9.1-2016-03-23T164400.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDA-CH-LREP-V1): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.1.1.3.9.1
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:versionNumber
Item: (CDA-CH-LREP-V1)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:versionNumber"
         id="d109e987-false-d2400e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.756.5.30.1.1.1.1.3.9.1-2016-03-23T164400.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='INT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDA-CH-LREP-V1): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:INT" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="INT"/>
      <let name="digitok" value="matches(string(@value), '^-?[1-9]\d*$|^+?\d*$')"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.756.5.30.1.1.1.1.3.9.1-2016-03-23T164400.html"
              test="$digitok or @nullFlavor">(CDA-CH-LREP-V1): @value ist keine gültige INT Zahl <value-of select="@value"/>
      </assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.101
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget"
         id="d2402e28-false-d2417e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.101-2005-09-07T000000.html"
              test="string(@typeCode)=('RCT') or not(@typeCode)">(CDArecordTarget): Der Wert von @typeCode MUSS 'RCT' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.101-2005-09-07T000000.html"
              test="string(@contextControlCode)=('OP') or not(@contextControlCode)">(CDArecordTarget): Der Wert von @contextControlCode MUSS 'OP' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.101-2005-09-07T000000.html"
              test="count(hl7:patientRole)&gt;=1 ">(CDArecordTarget): Element hl7:patientRole ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.101-2005-09-07T000000.html"
              test="count(hl7:patientRole)&lt;=1">(CDArecordTarget): Element hl7:patientRole kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.101
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole"
         id="d2402e34-false-d2446e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.101-2005-09-07T000000.html"
              test="string(@classCode)=('PAT') or not(@classCode)">(CDArecordTarget): Der Wert von @classCode MUSS 'PAT' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.101-2005-09-07T000000.html"
              test="count(hl7:id)&gt;=1 ">(CDArecordTarget): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.101-2005-09-07T000000.html"
              test="count(hl7:patient)&lt;=1">(CDArecordTarget): Element hl7:patient kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.101-2005-09-07T000000.html"
              test="count(hl7:providerOrganization)&lt;=1">(CDArecordTarget): Element hl7:providerOrganization kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.101
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:id
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:id"
         id="d2402e38-false-d2535e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.101-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.101
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:addr
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:addr"
         id="d2402e40-false-d2549e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.101-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.101
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:telecom
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:telecom"
         id="d2402e42-false-d2563e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.101-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.101
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:patient
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:patient"
         id="d2402e44-false-d2577e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.101-2005-09-07T000000.html"
              test="string(@classCode)=('PSN') or not(@classCode)">(CDArecordTarget): Der Wert von @classCode MUSS 'PSN' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.101-2005-09-07T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDArecordTarget): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.101-2005-09-07T000000.html"
              test="count(hl7:id)&lt;=1">(CDArecordTarget): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.101-2005-09-07T000000.html"
              test="count(hl7:administrativeGenderCode)&lt;=1">(CDArecordTarget): Element hl7:administrativeGenderCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.101-2005-09-07T000000.html"
              test="count(hl7:birthTime)&lt;=1">(CDArecordTarget): Element hl7:birthTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.101-2005-09-07T000000.html"
              test="count(hl7:maritalStatusCode)&lt;=1">(CDArecordTarget): Element hl7:maritalStatusCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.101-2005-09-07T000000.html"
              test="count(hl7:religiousAffiliationCode)&lt;=1">(CDArecordTarget): Element hl7:religiousAffiliationCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.101-2005-09-07T000000.html"
              test="count(hl7:raceCode)&lt;=1">(CDArecordTarget): Element hl7:raceCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.101-2005-09-07T000000.html"
              test="count(hl7:ethnicGroupCode)&lt;=1">(CDArecordTarget): Element hl7:ethnicGroupCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.101-2005-09-07T000000.html"
              test="count(hl7:birthplace)&lt;=1">(CDArecordTarget): Element hl7:birthplace kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.101
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:id
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:id"
         id="d2402e50-false-d2684e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.101-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.101
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name"
         id="d2402e52-false-d2698e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.101-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PN" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.101
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:administrativeGenderCode
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:administrativeGenderCode"
         id="d2402e54-false-d2712e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.101-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.101-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDArecordTarget): Der Elementinhalt MUSS einer von '2.16.840.1.113883.1.11.1 AdministrativeGender (DYNAMIC)' sein.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.101-2005-09-07T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDArecordTarget): Der fehlende Wert '<value-of select="@nullFlavor"/>' für @code MUSS gewählt werden aus dem Set gültiger null flavors für dieses Attribut oder denen assoziiert mit Value Set 2.16.840.1.113883.1.11.1 AdministrativeGender (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.101
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthTime
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthTime"
         id="d2402e61-false-d2740e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.101-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.101
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:maritalStatusCode
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:maritalStatusCode"
         id="d2402e63-false-d2754e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.101-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.101-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.12212-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDArecordTarget): Der Elementinhalt MUSS einer von '2.16.840.1.113883.1.11.12212 MaritalStatus (DYNAMIC)' sein.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.12212-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.101-2005-09-07T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDArecordTarget): Der fehlende Wert '<value-of select="@nullFlavor"/>' für @code MUSS gewählt werden aus dem Set gültiger null flavors für dieses Attribut oder denen assoziiert mit Value Set 2.16.840.1.113883.1.11.12212 MaritalStatus (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.101
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:religiousAffiliationCode
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:religiousAffiliationCode"
         id="d2402e69-false-d2782e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.101-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.101-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.19185-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDArecordTarget): Der Elementinhalt MUSS einer von '2.16.840.1.113883.1.11.19185 ReligiousAffiliation (DYNAMIC)' sein.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.19185-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.101-2005-09-07T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDArecordTarget): Der fehlende Wert '<value-of select="@nullFlavor"/>' für @code MUSS gewählt werden aus dem Set gültiger null flavors für dieses Attribut oder denen assoziiert mit Value Set 2.16.840.1.113883.1.11.19185 ReligiousAffiliation (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.101
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:raceCode
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:raceCode"
         id="d2402e75-false-d2810e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.101-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.101-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.14914-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDArecordTarget): Der Elementinhalt MUSS einer von '2.16.840.1.113883.1.11.14914 Race (DYNAMIC)' sein.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.14914-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.101-2005-09-07T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDArecordTarget): Der fehlende Wert '<value-of select="@nullFlavor"/>' für @code MUSS gewählt werden aus dem Set gültiger null flavors für dieses Attribut oder denen assoziiert mit Value Set 2.16.840.1.113883.1.11.14914 Race (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.101
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:ethnicGroupCode
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:ethnicGroupCode"
         id="d2402e81-false-d2838e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.101-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.101-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15836-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDArecordTarget): Der Elementinhalt MUSS einer von '2.16.840.1.113883.1.11.15836 Ethnicity (DYNAMIC)' sein.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15836-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.101-2005-09-07T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDArecordTarget): Der fehlende Wert '<value-of select="@nullFlavor"/>' für @code MUSS gewählt werden aus dem Set gültiger null flavors für dieses Attribut oder denen assoziiert mit Value Set 2.16.840.1.113883.1.11.15836 Ethnicity (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.101
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:guardian
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:guardian"
         id="d2402e87-false-d2866e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.101-2005-09-07T000000.html"
              test="string(@classCode)=('GUARD')">(CDArecordTarget): Der Wert von @classCode MUSS 'GUARD' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.101-2005-09-07T000000.html"
              test="count(hl7:code)&lt;=1">(CDArecordTarget): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:guardianPerson|hl7:guardianOrganization)"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.101-2005-09-07T000000.html"
              test="$elmcount&gt;=1">(CDArecordTarget): Auswahl (hl7:guardianPerson oder hl7:guardianOrganization) enthält nicht genügend Elemente [min 1x]</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.101-2005-09-07T000000.html"
              test="$elmcount&lt;=1">(CDArecordTarget): Auswahl (hl7:guardianPerson oder hl7:guardianOrganization) enthält zu viele Elemente [max 1x]</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.101
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:guardian/hl7:id
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:guardian/hl7:id"
         id="d2402e91-false-d2971e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.101-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.101
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:guardian/hl7:code
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:guardian/hl7:code"
         id="d2402e93-false-d2985e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.101-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.101-2005-09-07T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.111')">(CDArecordTarget): Der Elementinhalt MUSS einer von 'codeSystem '2.16.840.1.113883.5.111'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.101
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:guardian/hl7:addr
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:guardian/hl7:addr"
         id="d2402e98-false-d3006e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.101-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.101
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:guardian/hl7:telecom
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:guardian/hl7:telecom"
         id="d2402e100-false-d3020e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.101-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.101
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:guardian/hl7:guardianPerson
Item: (CDArecordTarget)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.152
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:guardian/hl7:guardianPerson
Item: (CDAPerson)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:guardian/hl7:guardianPerson">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.152-2005-09-07T000000.html"
              test="string(@classCode)=('PSN') or not(@classCode)">(CDAPerson): Der Wert von @classCode MUSS 'PSN' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.152-2005-09-07T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDAPerson): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.152
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:guardian/hl7:guardianPerson/hl7:name
Item: (CDAPerson)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:guardian/hl7:guardianPerson/hl7:name">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.152-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAPerson): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PN" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.101
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:guardian/hl7:guardianOrganization
Item: (CDArecordTarget)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:guardian/hl7:guardianOrganization
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:guardian/hl7:guardianOrganization">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="string(@classCode)=('ORG') or not(@classCode)">(CDAOrganization): Der Wert von @classCode MUSS 'ORG' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDAOrganization): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:standardIndustryClassCode)&lt;=1">(CDAOrganization): Element hl7:standardIndustryClassCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:asOrganizationPartOf)&lt;=1">(CDAOrganization): Element hl7:asOrganizationPartOf kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:guardian/hl7:guardianOrganization/hl7:id
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:guardian/hl7:guardianOrganization/hl7:id">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:guardian/hl7:guardianOrganization/hl7:name
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:guardian/hl7:guardianOrganization/hl7:name">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ON" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:guardian/hl7:guardianOrganization/hl7:telecom
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:guardian/hl7:guardianOrganization/hl7:telecom">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:guardian/hl7:guardianOrganization/hl7:addr
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:guardian/hl7:guardianOrganization/hl7:addr">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:guardian/hl7:guardianOrganization/hl7:standardIndustryClassCode
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:guardian/hl7:guardianOrganization/hl7:standardIndustryClassCode">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:guardian/hl7:guardianOrganization/hl7:asOrganizationPartOf
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:guardian/hl7:guardianOrganization/hl7:asOrganizationPartOf">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="string(@classCode)=('PART') or not(@classCode)">(CDAOrganization): Der Wert von @classCode MUSS 'PART' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:code)&lt;=1">(CDAOrganization): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:statusCode)&lt;=1">(CDAOrganization): Element hl7:statusCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(CDAOrganization): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:wholeOrganization)&lt;=1">(CDAOrganization): Element hl7:wholeOrganization kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:guardian/hl7:guardianOrganization/hl7:asOrganizationPartOf/hl7:id
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:guardian/hl7:guardianOrganization/hl7:asOrganizationPartOf/hl7:id">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:guardian/hl7:guardianOrganization/hl7:asOrganizationPartOf/hl7:code
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:guardian/hl7:guardianOrganization/hl7:asOrganizationPartOf/hl7:code">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.111')">(CDAOrganization): Der Elementinhalt MUSS einer von 'codeSystem '2.16.840.1.113883.5.111'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:guardian/hl7:guardianOrganization/hl7:asOrganizationPartOf/hl7:statusCode
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:guardian/hl7:guardianOrganization/hl7:asOrganizationPartOf/hl7:statusCode">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15999-DYNAMIC.xml')//valueSet[1]/conceptList/concept[@code = $theCode] or completeCodeSystem)">(CDAOrganization): Der Elementinhalt MUSS einer von '2.16.840.1.113883.1.11.15999 RoleStatus (DYNAMIC)' sein.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15999-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDAOrganization): Der fehlende Wert '<value-of select="@nullFlavor"/>' für @code MUSS gewählt werden aus dem Set gültiger null flavors für dieses Attribut oder denen assoziiert mit Value Set 2.16.840.1.113883.1.11.15999 RoleStatus (DYNAMIC).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:guardian/hl7:guardianOrganization/hl7:asOrganizationPartOf/hl7:effectiveTime
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:guardian/hl7:guardianOrganization/hl7:asOrganizationPartOf/hl7:effectiveTime">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:guardian/hl7:guardianOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization
Item: (CDAOrganization)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.101
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthplace
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthplace"
         id="d2402e114-false-d3428e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.101-2005-09-07T000000.html"
              test="string(@classCode)=('BIRTHPL') or not(@classCode)">(CDArecordTarget): Der Wert von @classCode MUSS 'BIRTHPL' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.101-2005-09-07T000000.html"
              test="count(hl7:place)&gt;=1 ">(CDArecordTarget): Element hl7:place ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.101-2005-09-07T000000.html"
              test="count(hl7:place)&lt;=1">(CDArecordTarget): Element hl7:place kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.101
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthplace/hl7:place
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthplace/hl7:place"
         id="d2402e118-false-d3453e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.101-2005-09-07T000000.html"
              test="string(@classCode)=('PLC') or not(@classCode)">(CDArecordTarget): Der Wert von @classCode MUSS 'PLC' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.101-2005-09-07T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDArecordTarget): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.101-2005-09-07T000000.html"
              test="count(hl7:name)&lt;=1">(CDArecordTarget): Element hl7:name kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.101-2005-09-07T000000.html"
              test="count(hl7:addr)&lt;=1">(CDArecordTarget): Element hl7:addr kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.101
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthplace/hl7:place/hl7:name
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthplace/hl7:place/hl7:name"
         id="d2402e124-false-d3488e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.101-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='EN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:EN" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="EN"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.101
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthplace/hl7:place/hl7:addr
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthplace/hl7:place/hl7:addr"
         id="d2402e126-false-d3502e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.101-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.101
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:languageCommunication
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:languageCommunication"
         id="d2402e130-false-d3516e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.101-2005-09-07T000000.html"
              test="count(hl7:languageCode)&lt;=1">(CDArecordTarget): Element hl7:languageCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.101-2005-09-07T000000.html"
              test="count(hl7:modeCode)&lt;=1">(CDArecordTarget): Element hl7:modeCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.101-2005-09-07T000000.html"
              test="count(hl7:proficiencyLevelCode)&lt;=1">(CDArecordTarget): Element hl7:proficiencyLevelCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.101-2005-09-07T000000.html"
              test="count(hl7:preferenceInd)&lt;=1">(CDArecordTarget): Element hl7:preferenceInd kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.101
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:languageCommunication/hl7:languageCode
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:languageCommunication/hl7:languageCode"
         id="d2402e132-false-d3562e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.101-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.101
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:languageCommunication/hl7:modeCode
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:languageCommunication/hl7:modeCode"
         id="d2402e138-false-d3581e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.101-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.101-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.12249-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDArecordTarget): Der Elementinhalt MUSS einer von '2.16.840.1.113883.1.11.12249 LanguageAbilityMode (DYNAMIC)' sein.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.12249-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.101-2005-09-07T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDArecordTarget): Der fehlende Wert '<value-of select="@nullFlavor"/>' für @code MUSS gewählt werden aus dem Set gültiger null flavors für dieses Attribut oder denen assoziiert mit Value Set 2.16.840.1.113883.1.11.12249 LanguageAbilityMode (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.101
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:languageCommunication/hl7:proficiencyLevelCode
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:languageCommunication/hl7:proficiencyLevelCode"
         id="d2402e144-false-d3609e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.101-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.101-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.12199-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDArecordTarget): Der Elementinhalt MUSS einer von '2.16.840.1.113883.1.11.12199 LanguageAbilityProficiency (DYNAMIC)' sein.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.12199-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.101-2005-09-07T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDArecordTarget): Der fehlende Wert '<value-of select="@nullFlavor"/>' für @code MUSS gewählt werden aus dem Set gültiger null flavors für dieses Attribut oder denen assoziiert mit Value Set 2.16.840.1.113883.1.11.12199 LanguageAbilityProficiency (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.101
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:languageCommunication/hl7:preferenceInd
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:languageCommunication/hl7:preferenceInd"
         id="d2402e150-false-d3637e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.101-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='BL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:BL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="BL"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.101
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:providerOrganization
Item: (CDArecordTarget)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:providerOrganization
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:providerOrganization">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="string(@classCode)=('ORG') or not(@classCode)">(CDAOrganization): Der Wert von @classCode MUSS 'ORG' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDAOrganization): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:standardIndustryClassCode)&lt;=1">(CDAOrganization): Element hl7:standardIndustryClassCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:asOrganizationPartOf)&lt;=1">(CDAOrganization): Element hl7:asOrganizationPartOf kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:providerOrganization/hl7:id
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:providerOrganization/hl7:id">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:providerOrganization/hl7:name
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:providerOrganization/hl7:name">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ON" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:providerOrganization/hl7:telecom
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:providerOrganization/hl7:telecom">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:providerOrganization/hl7:addr
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:providerOrganization/hl7:addr">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:providerOrganization/hl7:standardIndustryClassCode
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:providerOrganization/hl7:standardIndustryClassCode">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:providerOrganization/hl7:asOrganizationPartOf
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:providerOrganization/hl7:asOrganizationPartOf">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="string(@classCode)=('PART') or not(@classCode)">(CDAOrganization): Der Wert von @classCode MUSS 'PART' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:code)&lt;=1">(CDAOrganization): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:statusCode)&lt;=1">(CDAOrganization): Element hl7:statusCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(CDAOrganization): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:wholeOrganization)&lt;=1">(CDAOrganization): Element hl7:wholeOrganization kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:providerOrganization/hl7:asOrganizationPartOf/hl7:id
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:providerOrganization/hl7:asOrganizationPartOf/hl7:id">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:providerOrganization/hl7:asOrganizationPartOf/hl7:code
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:providerOrganization/hl7:asOrganizationPartOf/hl7:code">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.111')">(CDAOrganization): Der Elementinhalt MUSS einer von 'codeSystem '2.16.840.1.113883.5.111'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:providerOrganization/hl7:asOrganizationPartOf/hl7:statusCode
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:providerOrganization/hl7:asOrganizationPartOf/hl7:statusCode">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15999-DYNAMIC.xml')//valueSet[1]/conceptList/concept[@code = $theCode] or completeCodeSystem)">(CDAOrganization): Der Elementinhalt MUSS einer von '2.16.840.1.113883.1.11.15999 RoleStatus (DYNAMIC)' sein.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15999-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDAOrganization): Der fehlende Wert '<value-of select="@nullFlavor"/>' für @code MUSS gewählt werden aus dem Set gültiger null flavors für dieses Attribut oder denen assoziiert mit Value Set 2.16.840.1.113883.1.11.15999 RoleStatus (DYNAMIC).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:providerOrganization/hl7:asOrganizationPartOf/hl7:effectiveTime
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:providerOrganization/hl7:asOrganizationPartOf/hl7:effectiveTime">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:recordTarget/hl7:patientRole/hl7:providerOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization
Item: (CDAOrganization)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.102
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:author
Item: (CDAauthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:author"
         id="d3971e17-false-d3980e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.102-2005-09-07T000000.html"
              test="string(@typeCode)=('AUT') or not(@typeCode)">(CDAauthor): Der Wert von @typeCode MUSS 'AUT' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.102-2005-09-07T000000.html"
              test="string(@contextControlCode)=('OP') or not(@contextControlCode)">(CDAauthor): Der Wert von @contextControlCode MUSS 'OP' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.102-2005-09-07T000000.html"
              test="count(hl7:functionCode)&lt;=1">(CDAauthor): Element hl7:functionCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.102-2005-09-07T000000.html"
              test="count(hl7:time)&gt;=1 ">(CDAauthor): Element hl7:time ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.102-2005-09-07T000000.html"
              test="count(hl7:time)&lt;=1">(CDAauthor): Element hl7:time kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.102-2005-09-07T000000.html"
              test="count(hl7:assignedAuthor)&gt;=1 ">(CDAauthor): Element hl7:assignedAuthor ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.102-2005-09-07T000000.html"
              test="count(hl7:assignedAuthor)&lt;=1">(CDAauthor): Element hl7:assignedAuthor kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.102
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:author/hl7:functionCode
Item: (CDAauthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:author/hl7:functionCode"
         id="d3971e23-false-d4030e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.102-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAauthor): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.102-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDAauthor): Der Elementinhalt MUSS einer von '2.16.840.1.113883.1.11.10267 ParticipationFunction (DYNAMIC)' sein.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.102-2005-09-07T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDAauthor): Der fehlende Wert '<value-of select="@nullFlavor"/>' für @code MUSS gewählt werden aus dem Set gültiger null flavors für dieses Attribut oder denen assoziiert mit Value Set 2.16.840.1.113883.1.11.10267 ParticipationFunction (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.102
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:author/hl7:time
Item: (CDAauthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:author/hl7:time"
         id="d3971e29-false-d4058e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.102-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAauthor): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.102
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:author/hl7:assignedAuthor
Item: (CDAauthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:author/hl7:assignedAuthor"
         id="d3971e31-false-d4072e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.102-2005-09-07T000000.html"
              test="string(@classCode)=('ASSIGNED') or not(@classCode)">(CDAauthor): Der Wert von @classCode MUSS 'ASSIGNED' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.102-2005-09-07T000000.html"
              test="count(hl7:id)&gt;=1 ">(CDAauthor): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.102-2005-09-07T000000.html"
              test="count(hl7:code)&lt;=1">(CDAauthor): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:assignedPerson|hl7:assignedAuthoringDevice)"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.102-2005-09-07T000000.html"
              test="$elmcount&lt;=1">(CDAauthor): Auswahl (hl7:assignedPerson oder hl7:assignedAuthoringDevice) enthält zu viele Elemente [max 1x]</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.102-2005-09-07T000000.html"
              test="count(hl7:representedOrganization)&lt;=1">(CDAauthor): Element hl7:representedOrganization kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.102
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:author/hl7:assignedAuthor/hl7:id
Item: (CDAauthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:author/hl7:assignedAuthor/hl7:id"
         id="d3971e35-false-d4205e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.102-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAauthor): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.102
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:author/hl7:assignedAuthor/hl7:code
Item: (CDAauthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:author/hl7:assignedAuthor/hl7:code"
         id="d3971e37-false-d4219e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.102-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAauthor): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.102-2005-09-07T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.111')">(CDAauthor): Der Elementinhalt MUSS einer von 'codeSystem '2.16.840.1.113883.5.111'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.102
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:author/hl7:assignedAuthor/hl7:addr
Item: (CDAauthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:author/hl7:assignedAuthor/hl7:addr"
         id="d3971e42-false-d4240e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.102-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAauthor): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.102
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:author/hl7:assignedAuthor/hl7:telecom
Item: (CDAauthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:author/hl7:assignedAuthor/hl7:telecom"
         id="d3971e44-false-d4254e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.102-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAauthor): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.102
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:author/hl7:assignedAuthor/hl7:assignedPerson
Item: (CDAauthor)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.152
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:author/hl7:assignedAuthor/hl7:assignedPerson
Item: (CDAPerson)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:author/hl7:assignedAuthor/hl7:assignedPerson">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.152-2005-09-07T000000.html"
              test="string(@classCode)=('PSN') or not(@classCode)">(CDAPerson): Der Wert von @classCode MUSS 'PSN' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.152-2005-09-07T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDAPerson): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.152
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name
Item: (CDAPerson)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.152-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAPerson): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PN" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.102
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:author/hl7:assignedAuthor/hl7:assignedAuthoringDevice
Item: (CDAauthor)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.315
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:author/hl7:assignedAuthor/hl7:assignedAuthoringDevice
Item: (CDADevice)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:author/hl7:assignedAuthor/hl7:assignedAuthoringDevice">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.315-2005-09-07T000000.html"
              test="string(@classCode)=('DEV') or not(@classCode)">(CDADevice): Der Wert von @classCode MUSS 'DEV' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.315-2005-09-07T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDADevice): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.315-2005-09-07T000000.html"
              test="count(hl7:code)&lt;=1">(CDADevice): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.315-2005-09-07T000000.html"
              test="count(hl7:manufacturerModelName)&lt;=1">(CDADevice): Element hl7:manufacturerModelName kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.315-2005-09-07T000000.html"
              test="count(hl7:softwareName)&lt;=1">(CDADevice): Element hl7:softwareName kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.315
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:author/hl7:assignedAuthor/hl7:assignedAuthoringDevice/hl7:code
Item: (CDADevice)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:author/hl7:assignedAuthor/hl7:assignedAuthoringDevice/hl7:code">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.315-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDADevice): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.315-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.16040-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDADevice): Der Elementinhalt MUSS einer von '2.16.840.1.113883.1.11.16040 EntityCode (DYNAMIC)' sein.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.16040-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.315-2005-09-07T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDADevice): Der fehlende Wert '<value-of select="@nullFlavor"/>' für @code MUSS gewählt werden aus dem Set gültiger null flavors für dieses Attribut oder denen assoziiert mit Value Set 2.16.840.1.113883.1.11.16040 EntityCode (DYNAMIC).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.315
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:author/hl7:assignedAuthor/hl7:assignedAuthoringDevice/hl7:manufacturerModelName
Item: (CDADevice)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:author/hl7:assignedAuthor/hl7:assignedAuthoringDevice/hl7:manufacturerModelName">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.315-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SC' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDADevice): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SC" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SC"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.315
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:author/hl7:assignedAuthor/hl7:assignedAuthoringDevice/hl7:softwareName
Item: (CDADevice)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:author/hl7:assignedAuthor/hl7:assignedAuthoringDevice/hl7:softwareName">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.315-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SC' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDADevice): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SC" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SC"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.102
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization
Item: (CDAauthor)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="string(@classCode)=('ORG') or not(@classCode)">(CDAOrganization): Der Wert von @classCode MUSS 'ORG' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDAOrganization): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:standardIndustryClassCode)&lt;=1">(CDAOrganization): Element hl7:standardIndustryClassCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:asOrganizationPartOf)&lt;=1">(CDAOrganization): Element hl7:asOrganizationPartOf kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:name
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:name">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ON" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:telecom
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:telecom">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:standardIndustryClassCode
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:standardIndustryClassCode">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="string(@classCode)=('PART') or not(@classCode)">(CDAOrganization): Der Wert von @classCode MUSS 'PART' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:code)&lt;=1">(CDAOrganization): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:statusCode)&lt;=1">(CDAOrganization): Element hl7:statusCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(CDAOrganization): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:wholeOrganization)&lt;=1">(CDAOrganization): Element hl7:wholeOrganization kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:id
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:id">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:code
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:code">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.111')">(CDAOrganization): Der Elementinhalt MUSS einer von 'codeSystem '2.16.840.1.113883.5.111'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:statusCode
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:statusCode">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15999-DYNAMIC.xml')//valueSet[1]/conceptList/concept[@code = $theCode] or completeCodeSystem)">(CDAOrganization): Der Elementinhalt MUSS einer von '2.16.840.1.113883.1.11.15999 RoleStatus (DYNAMIC)' sein.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15999-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDAOrganization): Der fehlende Wert '<value-of select="@nullFlavor"/>' für @code MUSS gewählt werden aus dem Set gültiger null flavors für dieses Attribut oder denen assoziiert mit Value Set 2.16.840.1.113883.1.11.15999 RoleStatus (DYNAMIC).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:effectiveTime
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:effectiveTime">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization
Item: (CDAOrganization)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.103
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:dataEnterer
Item: (CDAdataEnterer)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:dataEnterer"
         id="d4793e17-false-d4802e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.103-2005-09-07T000000.html"
              test="string(@typeCode)=('ENT') or not(@typeCode)">(CDAdataEnterer): Der Wert von @typeCode MUSS 'ENT' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.103-2005-09-07T000000.html"
              test="string(@contextControlCode)=('OP') or not(@contextControlCode)">(CDAdataEnterer): Der Wert von @contextControlCode MUSS 'OP' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.103-2005-09-07T000000.html"
              test="count(hl7:time)&lt;=1">(CDAdataEnterer): Element hl7:time kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.103-2005-09-07T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 ">(CDAdataEnterer): Element hl7:assignedEntity ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.103-2005-09-07T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(CDAdataEnterer): Element hl7:assignedEntity kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.103
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:dataEnterer/hl7:time
Item: (CDAdataEnterer)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:dataEnterer/hl7:time"
         id="d4793e23-false-d4921e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.103-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAdataEnterer): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.103
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:dataEnterer/hl7:assignedEntity
Item: (CDAdataEnterer)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.153
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:dataEnterer/hl7:assignedEntity
Item: (CDAAssignedEntity)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:dataEnterer/hl7:assignedEntity">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="string(@classCode)=('ASSIGNED') or not(@classCode)">(CDAAssignedEntity): Der Wert von @classCode MUSS 'ASSIGNED' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="count(hl7:id)&gt;=1 ">(CDAAssignedEntity): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="count(hl7:code)&lt;=1">(CDAAssignedEntity): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="count(hl7:assignedPerson)&lt;=1">(CDAAssignedEntity): Element hl7:assignedPerson kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="count(hl7:representedOrganization)&lt;=1">(CDAAssignedEntity): Element hl7:representedOrganization kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.153
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:dataEnterer/hl7:assignedEntity/hl7:id
Item: (CDAAssignedEntity)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:dataEnterer/hl7:assignedEntity/hl7:id">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAssignedEntity): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.153
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:dataEnterer/hl7:assignedEntity/hl7:code
Item: (CDAAssignedEntity)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:dataEnterer/hl7:assignedEntity/hl7:code">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAssignedEntity): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.111')">(CDAAssignedEntity): Der Elementinhalt MUSS einer von 'codeSystem '2.16.840.1.113883.5.111'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.153
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:dataEnterer/hl7:assignedEntity/hl7:addr
Item: (CDAAssignedEntity)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:dataEnterer/hl7:assignedEntity/hl7:addr">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAssignedEntity): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.153
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:dataEnterer/hl7:assignedEntity/hl7:telecom
Item: (CDAAssignedEntity)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:dataEnterer/hl7:assignedEntity/hl7:telecom">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAssignedEntity): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.153
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:dataEnterer/hl7:assignedEntity/hl7:assignedPerson
Item: (CDAAssignedEntity)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.152
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:dataEnterer/hl7:assignedEntity/hl7:assignedPerson
Item: (CDAPerson)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:dataEnterer/hl7:assignedEntity/hl7:assignedPerson">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.152-2005-09-07T000000.html"
              test="string(@classCode)=('PSN') or not(@classCode)">(CDAPerson): Der Wert von @classCode MUSS 'PSN' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.152-2005-09-07T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDAPerson): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.152
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:dataEnterer/hl7:assignedEntity/hl7:assignedPerson/hl7:name
Item: (CDAPerson)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:dataEnterer/hl7:assignedEntity/hl7:assignedPerson/hl7:name">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.152-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAPerson): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PN" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.153
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:dataEnterer/hl7:assignedEntity/hl7:representedOrganization
Item: (CDAAssignedEntity)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:dataEnterer/hl7:assignedEntity/hl7:representedOrganization
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:dataEnterer/hl7:assignedEntity/hl7:representedOrganization">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="string(@classCode)=('ORG') or not(@classCode)">(CDAOrganization): Der Wert von @classCode MUSS 'ORG' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDAOrganization): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:standardIndustryClassCode)&lt;=1">(CDAOrganization): Element hl7:standardIndustryClassCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:asOrganizationPartOf)&lt;=1">(CDAOrganization): Element hl7:asOrganizationPartOf kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:dataEnterer/hl7:assignedEntity/hl7:representedOrganization/hl7:id
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:dataEnterer/hl7:assignedEntity/hl7:representedOrganization/hl7:id">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:dataEnterer/hl7:assignedEntity/hl7:representedOrganization/hl7:name
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:dataEnterer/hl7:assignedEntity/hl7:representedOrganization/hl7:name">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ON" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:dataEnterer/hl7:assignedEntity/hl7:representedOrganization/hl7:telecom
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:dataEnterer/hl7:assignedEntity/hl7:representedOrganization/hl7:telecom">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:dataEnterer/hl7:assignedEntity/hl7:representedOrganization/hl7:addr
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:dataEnterer/hl7:assignedEntity/hl7:representedOrganization/hl7:addr">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:dataEnterer/hl7:assignedEntity/hl7:representedOrganization/hl7:standardIndustryClassCode
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:dataEnterer/hl7:assignedEntity/hl7:representedOrganization/hl7:standardIndustryClassCode">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:dataEnterer/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:dataEnterer/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="string(@classCode)=('PART') or not(@classCode)">(CDAOrganization): Der Wert von @classCode MUSS 'PART' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:code)&lt;=1">(CDAOrganization): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:statusCode)&lt;=1">(CDAOrganization): Element hl7:statusCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(CDAOrganization): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:wholeOrganization)&lt;=1">(CDAOrganization): Element hl7:wholeOrganization kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:dataEnterer/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:id
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:dataEnterer/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:id">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:dataEnterer/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:code
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:dataEnterer/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:code">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.111')">(CDAOrganization): Der Elementinhalt MUSS einer von 'codeSystem '2.16.840.1.113883.5.111'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:dataEnterer/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:statusCode
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:dataEnterer/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:statusCode">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15999-DYNAMIC.xml')//valueSet[1]/conceptList/concept[@code = $theCode] or completeCodeSystem)">(CDAOrganization): Der Elementinhalt MUSS einer von '2.16.840.1.113883.1.11.15999 RoleStatus (DYNAMIC)' sein.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15999-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDAOrganization): Der fehlende Wert '<value-of select="@nullFlavor"/>' für @code MUSS gewählt werden aus dem Set gültiger null flavors für dieses Attribut oder denen assoziiert mit Value Set 2.16.840.1.113883.1.11.15999 RoleStatus (DYNAMIC).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:dataEnterer/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:effectiveTime
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:dataEnterer/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:effectiveTime">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:dataEnterer/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization
Item: (CDAOrganization)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.154
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informant
Item: (CDAinformant)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informant"
         id="d5589e17-false-d5599e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.154-2005-09-07T000000.html"
              test="string(@typeCode)=('INF') or not(@typeCode)">(CDAinformant): Der Wert von @typeCode MUSS 'INF' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.154-2005-09-07T000000.html"
              test="string(@contextControlCode)=('OP') or not(@contextControlCode)">(CDAinformant): Der Wert von @contextControlCode MUSS 'OP' sein.</assert>
      <let name="elmcount" value="count(hl7:assignedEntity|hl7:relatedEntity)"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.154-2005-09-07T000000.html"
              test="$elmcount&gt;=1">(CDAinformant): Auswahl (hl7:assignedEntity oder hl7:relatedEntity) enthält nicht genügend Elemente [min 1x]</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.154-2005-09-07T000000.html"
              test="$elmcount&lt;=1">(CDAinformant): Auswahl (hl7:assignedEntity oder hl7:relatedEntity) enthält zu viele Elemente [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.154
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informant/hl7:assignedEntity
Item: (CDAinformant)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.153
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informant/hl7:assignedEntity
Item: (CDAAssignedEntity)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informant/hl7:assignedEntity">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="string(@classCode)=('ASSIGNED') or not(@classCode)">(CDAAssignedEntity): Der Wert von @classCode MUSS 'ASSIGNED' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="count(hl7:id)&gt;=1 ">(CDAAssignedEntity): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="count(hl7:code)&lt;=1">(CDAAssignedEntity): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="count(hl7:assignedPerson)&lt;=1">(CDAAssignedEntity): Element hl7:assignedPerson kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="count(hl7:representedOrganization)&lt;=1">(CDAAssignedEntity): Element hl7:representedOrganization kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.153
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informant/hl7:assignedEntity/hl7:id
Item: (CDAAssignedEntity)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informant/hl7:assignedEntity/hl7:id">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAssignedEntity): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.153
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informant/hl7:assignedEntity/hl7:code
Item: (CDAAssignedEntity)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informant/hl7:assignedEntity/hl7:code">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAssignedEntity): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.111')">(CDAAssignedEntity): Der Elementinhalt MUSS einer von 'codeSystem '2.16.840.1.113883.5.111'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.153
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informant/hl7:assignedEntity/hl7:addr
Item: (CDAAssignedEntity)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informant/hl7:assignedEntity/hl7:addr">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAssignedEntity): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.153
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informant/hl7:assignedEntity/hl7:telecom
Item: (CDAAssignedEntity)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informant/hl7:assignedEntity/hl7:telecom">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAssignedEntity): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.153
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informant/hl7:assignedEntity/hl7:assignedPerson
Item: (CDAAssignedEntity)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.152
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informant/hl7:assignedEntity/hl7:assignedPerson
Item: (CDAPerson)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informant/hl7:assignedEntity/hl7:assignedPerson">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.152-2005-09-07T000000.html"
              test="string(@classCode)=('PSN') or not(@classCode)">(CDAPerson): Der Wert von @classCode MUSS 'PSN' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.152-2005-09-07T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDAPerson): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.152
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informant/hl7:assignedEntity/hl7:assignedPerson/hl7:name
Item: (CDAPerson)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informant/hl7:assignedEntity/hl7:assignedPerson/hl7:name">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.152-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAPerson): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PN" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.153
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informant/hl7:assignedEntity/hl7:representedOrganization
Item: (CDAAssignedEntity)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informant/hl7:assignedEntity/hl7:representedOrganization
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informant/hl7:assignedEntity/hl7:representedOrganization">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="string(@classCode)=('ORG') or not(@classCode)">(CDAOrganization): Der Wert von @classCode MUSS 'ORG' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDAOrganization): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:standardIndustryClassCode)&lt;=1">(CDAOrganization): Element hl7:standardIndustryClassCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:asOrganizationPartOf)&lt;=1">(CDAOrganization): Element hl7:asOrganizationPartOf kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:id
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:id">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:name
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:name">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ON" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:telecom
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:telecom">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:addr
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:addr">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:standardIndustryClassCode
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:standardIndustryClassCode">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="string(@classCode)=('PART') or not(@classCode)">(CDAOrganization): Der Wert von @classCode MUSS 'PART' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:code)&lt;=1">(CDAOrganization): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:statusCode)&lt;=1">(CDAOrganization): Element hl7:statusCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(CDAOrganization): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:wholeOrganization)&lt;=1">(CDAOrganization): Element hl7:wholeOrganization kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:id
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:id">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:code
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:code">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.111')">(CDAOrganization): Der Elementinhalt MUSS einer von 'codeSystem '2.16.840.1.113883.5.111'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:statusCode
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:statusCode">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15999-DYNAMIC.xml')//valueSet[1]/conceptList/concept[@code = $theCode] or completeCodeSystem)">(CDAOrganization): Der Elementinhalt MUSS einer von '2.16.840.1.113883.1.11.15999 RoleStatus (DYNAMIC)' sein.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15999-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDAOrganization): Der fehlende Wert '<value-of select="@nullFlavor"/>' für @code MUSS gewählt werden aus dem Set gültiger null flavors für dieses Attribut oder denen assoziiert mit Value Set 2.16.840.1.113883.1.11.15999 RoleStatus (DYNAMIC).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:effectiveTime
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:effectiveTime">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization
Item: (CDAOrganization)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.154
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informant/hl7:relatedEntity
Item: (CDAinformant)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.316
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informant/hl7:relatedEntity
Item: (CDARelatedEntity)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informant/hl7:relatedEntity">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.316-2005-09-07T000000.html"
              test="@classCode">(CDARelatedEntity): Attribut @classCode MUSS vorkommen.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.316-2005-09-07T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(CDARelatedEntity): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@classCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(document('include/voc-2.16.840.1.113883.1.11.19316-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.316-2005-09-07T000000.html"
              test="not(@classCode) or count($theAttValue) = count($theAttCheck)">(CDARelatedEntity): Der Wert von classCode MUSS gewählt werden aus Value Set '2.16.840.1.113883.1.11.19316' RoleClassMutualRelationship (DYNAMIC).</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.316-2005-09-07T000000.html"
              test="count(hl7:code)&lt;=1">(CDARelatedEntity): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.316-2005-09-07T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(CDARelatedEntity): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.316-2005-09-07T000000.html"
              test="count(hl7:relatedPerson)&lt;=1">(CDARelatedEntity): Element hl7:relatedPerson kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.316
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informant/hl7:relatedEntity/hl7:code
Item: (CDARelatedEntity)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informant/hl7:relatedEntity/hl7:code">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.316-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDARelatedEntity): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.316-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.19563-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDARelatedEntity): Der Elementinhalt MUSS einer von '2.16.840.1.113883.1.11.19563 PersonalRelationshipRoleType (DYNAMIC)' sein.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.19563-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.316-2005-09-07T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDARelatedEntity): Der fehlende Wert '<value-of select="@nullFlavor"/>' für @code MUSS gewählt werden aus dem Set gültiger null flavors für dieses Attribut oder denen assoziiert mit Value Set 2.16.840.1.113883.1.11.19563 PersonalRelationshipRoleType (DYNAMIC).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.316
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informant/hl7:relatedEntity/hl7:addr
Item: (CDARelatedEntity)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informant/hl7:relatedEntity/hl7:addr">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.316-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDARelatedEntity): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.316
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informant/hl7:relatedEntity/hl7:telecom
Item: (CDARelatedEntity)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informant/hl7:relatedEntity/hl7:telecom">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.316-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDARelatedEntity): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.316
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informant/hl7:relatedEntity/hl7:effectiveTime
Item: (CDARelatedEntity)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informant/hl7:relatedEntity/hl7:effectiveTime">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.316-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDARelatedEntity): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.316
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informant/hl7:relatedEntity/hl7:relatedPerson
Item: (CDARelatedEntity)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.152
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informant/hl7:relatedEntity/hl7:relatedPerson
Item: (CDAPerson)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informant/hl7:relatedEntity/hl7:relatedPerson">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.152-2005-09-07T000000.html"
              test="string(@classCode)=('PSN') or not(@classCode)">(CDAPerson): Der Wert von @classCode MUSS 'PSN' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.152-2005-09-07T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDAPerson): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.152
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informant/hl7:relatedEntity/hl7:relatedPerson/hl7:name
Item: (CDAPerson)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informant/hl7:relatedEntity/hl7:relatedPerson/hl7:name">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.152-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAPerson): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PN" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.104
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:custodian
Item: (CDAcustodian)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:custodian"
         id="d6675e24-false-d6689e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.104-2005-09-07T000000.html"
              test="string(@typeCode)=('CST') or not(@typeCode)">(CDAcustodian): Der Wert von @typeCode MUSS 'CST' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.104-2005-09-07T000000.html"
              test="count(hl7:assignedCustodian)&gt;=1 ">(CDAcustodian): Element hl7:assignedCustodian ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.104-2005-09-07T000000.html"
              test="count(hl7:assignedCustodian)&lt;=1">(CDAcustodian): Element hl7:assignedCustodian kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.104
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:custodian/hl7:assignedCustodian
Item: (CDAcustodian)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:custodian/hl7:assignedCustodian"
         id="d6675e28-false-d6714e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.104-2005-09-07T000000.html"
              test="string(@classCode)=('ASSIGNED') or not(@classCode)">(CDAcustodian): Der Wert von @classCode MUSS 'ASSIGNED' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.104-2005-09-07T000000.html"
              test="count(hl7:representedCustodianOrganization)&gt;=1 ">(CDAcustodian): Element hl7:representedCustodianOrganization ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.104-2005-09-07T000000.html"
              test="count(hl7:representedCustodianOrganization)&lt;=1">(CDAcustodian): Element hl7:representedCustodianOrganization kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.104
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization
Item: (CDAcustodian)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization"
         id="d6675e32-false-d6739e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.104-2005-09-07T000000.html"
              test="string(@classCode)=('ORG') or not(@classCode)">(CDAcustodian): Der Wert von @classCode MUSS 'ORG' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.104-2005-09-07T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDAcustodian): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.104-2005-09-07T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(CDAcustodian): Element hl7:id ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.104-2005-09-07T000000.html"
              test="count(hl7:name)&lt;=1">(CDAcustodian): Element hl7:name kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.104-2005-09-07T000000.html"
              test="count(hl7:telecom)&lt;=1">(CDAcustodian): Element hl7:telecom kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.104-2005-09-07T000000.html"
              test="count(hl7:addr)&lt;=1">(CDAcustodian): Element hl7:addr kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.104
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:id
Item: (CDAcustodian)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:id"
         id="d6675e38-false-d6792e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.104-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAcustodian): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.104
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:name
Item: (CDAcustodian)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:name"
         id="d6675e40-false-d6806e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.104-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAcustodian): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ON" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.104
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:telecom
Item: (CDAcustodian)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:telecom"
         id="d6675e42-false-d6820e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.104-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAcustodian): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.104
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:addr
Item: (CDAcustodian)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:addr"
         id="d6675e45-false-d6834e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.104-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAcustodian): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.105
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informationRecipient
Item: (CDAinformationRecipient)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informationRecipient"
         id="d6836e24-false-d6848e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.105-2005-09-07T000000.html"
              test="@typeCode">(CDAinformationRecipient): Attribut @typeCode MUSS vorkommen.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.105-2005-09-07T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(CDAinformationRecipient): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@typeCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(document('include/voc-2.16.840.1.113883.1.11.19366-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.105-2005-09-07T000000.html"
              test="not(@typeCode) or count($theAttValue) = count($theAttCheck)">(CDAinformationRecipient): Der Wert von typeCode MUSS gewählt werden aus Value Set '2.16.840.1.113883.1.11.19366' x_InformationRecipient (DYNAMIC).</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.105-2005-09-07T000000.html"
              test="count(hl7:intendedRecipient)&gt;=1 ">(CDAinformationRecipient): Element hl7:intendedRecipient ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.105-2005-09-07T000000.html"
              test="count(hl7:intendedRecipient)&lt;=1">(CDAinformationRecipient): Element hl7:intendedRecipient kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.105
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informationRecipient/hl7:intendedRecipient
Item: (CDAinformationRecipient)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informationRecipient/hl7:intendedRecipient"
         id="d6836e32-false-d6889e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.105-2005-09-07T000000.html"
              test="@classCode">(CDAinformationRecipient): Attribut @classCode MUSS vorkommen.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.105-2005-09-07T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(CDAinformationRecipient): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@classCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(document('include/voc-2.16.840.1.113883.1.11.16772-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.105-2005-09-07T000000.html"
              test="not(@classCode) or count($theAttValue) = count($theAttCheck)">(CDAinformationRecipient): Der Wert von classCode MUSS gewählt werden aus Value Set '2.16.840.1.113883.1.11.16772' x_InformationRecipientRole (DYNAMIC).</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.105-2005-09-07T000000.html"
              test="count(hl7:informationRecipient)&lt;=1">(CDAinformationRecipient): Element hl7:informationRecipient kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.105-2005-09-07T000000.html"
              test="count(hl7:receivedOrganization)&lt;=1">(CDAinformationRecipient): Element hl7:receivedOrganization kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.105
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informationRecipient/hl7:intendedRecipient/hl7:id
Item: (CDAinformationRecipient)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informationRecipient/hl7:intendedRecipient/hl7:id"
         id="d6836e40-false-d6998e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.105-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAinformationRecipient): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.105
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informationRecipient/hl7:intendedRecipient/hl7:addr
Item: (CDAinformationRecipient)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informationRecipient/hl7:intendedRecipient/hl7:addr"
         id="d6836e42-false-d7012e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.105-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAinformationRecipient): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.105
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informationRecipient/hl7:intendedRecipient/hl7:telecom
Item: (CDAinformationRecipient)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informationRecipient/hl7:intendedRecipient/hl7:telecom"
         id="d6836e44-false-d7026e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.105-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAinformationRecipient): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.105
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informationRecipient/hl7:intendedRecipient/hl7:informationRecipient
Item: (CDAinformationRecipient)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.152
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informationRecipient/hl7:intendedRecipient/hl7:informationRecipient
Item: (CDAPerson)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informationRecipient/hl7:intendedRecipient/hl7:informationRecipient">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.152-2005-09-07T000000.html"
              test="string(@classCode)=('PSN') or not(@classCode)">(CDAPerson): Der Wert von @classCode MUSS 'PSN' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.152-2005-09-07T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDAPerson): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.152
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informationRecipient/hl7:intendedRecipient/hl7:informationRecipient/hl7:name
Item: (CDAPerson)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informationRecipient/hl7:intendedRecipient/hl7:informationRecipient/hl7:name">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.152-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAPerson): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PN" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.105
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informationRecipient/hl7:intendedRecipient/hl7:receivedOrganization
Item: (CDAinformationRecipient)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informationRecipient/hl7:intendedRecipient/hl7:receivedOrganization
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informationRecipient/hl7:intendedRecipient/hl7:receivedOrganization">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="string(@classCode)=('ORG') or not(@classCode)">(CDAOrganization): Der Wert von @classCode MUSS 'ORG' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDAOrganization): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:standardIndustryClassCode)&lt;=1">(CDAOrganization): Element hl7:standardIndustryClassCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:asOrganizationPartOf)&lt;=1">(CDAOrganization): Element hl7:asOrganizationPartOf kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informationRecipient/hl7:intendedRecipient/hl7:receivedOrganization/hl7:id
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informationRecipient/hl7:intendedRecipient/hl7:receivedOrganization/hl7:id">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informationRecipient/hl7:intendedRecipient/hl7:receivedOrganization/hl7:name
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informationRecipient/hl7:intendedRecipient/hl7:receivedOrganization/hl7:name">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ON" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informationRecipient/hl7:intendedRecipient/hl7:receivedOrganization/hl7:telecom
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informationRecipient/hl7:intendedRecipient/hl7:receivedOrganization/hl7:telecom">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informationRecipient/hl7:intendedRecipient/hl7:receivedOrganization/hl7:addr
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informationRecipient/hl7:intendedRecipient/hl7:receivedOrganization/hl7:addr">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informationRecipient/hl7:intendedRecipient/hl7:receivedOrganization/hl7:standardIndustryClassCode
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informationRecipient/hl7:intendedRecipient/hl7:receivedOrganization/hl7:standardIndustryClassCode">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informationRecipient/hl7:intendedRecipient/hl7:receivedOrganization/hl7:asOrganizationPartOf
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informationRecipient/hl7:intendedRecipient/hl7:receivedOrganization/hl7:asOrganizationPartOf">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="string(@classCode)=('PART') or not(@classCode)">(CDAOrganization): Der Wert von @classCode MUSS 'PART' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:code)&lt;=1">(CDAOrganization): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:statusCode)&lt;=1">(CDAOrganization): Element hl7:statusCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(CDAOrganization): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:wholeOrganization)&lt;=1">(CDAOrganization): Element hl7:wholeOrganization kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informationRecipient/hl7:intendedRecipient/hl7:receivedOrganization/hl7:asOrganizationPartOf/hl7:id
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informationRecipient/hl7:intendedRecipient/hl7:receivedOrganization/hl7:asOrganizationPartOf/hl7:id">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informationRecipient/hl7:intendedRecipient/hl7:receivedOrganization/hl7:asOrganizationPartOf/hl7:code
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informationRecipient/hl7:intendedRecipient/hl7:receivedOrganization/hl7:asOrganizationPartOf/hl7:code">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.111')">(CDAOrganization): Der Elementinhalt MUSS einer von 'codeSystem '2.16.840.1.113883.5.111'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informationRecipient/hl7:intendedRecipient/hl7:receivedOrganization/hl7:asOrganizationPartOf/hl7:statusCode
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informationRecipient/hl7:intendedRecipient/hl7:receivedOrganization/hl7:asOrganizationPartOf/hl7:statusCode">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15999-DYNAMIC.xml')//valueSet[1]/conceptList/concept[@code = $theCode] or completeCodeSystem)">(CDAOrganization): Der Elementinhalt MUSS einer von '2.16.840.1.113883.1.11.15999 RoleStatus (DYNAMIC)' sein.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15999-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDAOrganization): Der fehlende Wert '<value-of select="@nullFlavor"/>' für @code MUSS gewählt werden aus dem Set gültiger null flavors für dieses Attribut oder denen assoziiert mit Value Set 2.16.840.1.113883.1.11.15999 RoleStatus (DYNAMIC).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informationRecipient/hl7:intendedRecipient/hl7:receivedOrganization/hl7:asOrganizationPartOf/hl7:effectiveTime
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informationRecipient/hl7:intendedRecipient/hl7:receivedOrganization/hl7:asOrganizationPartOf/hl7:effectiveTime">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:informationRecipient/hl7:intendedRecipient/hl7:receivedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization
Item: (CDAOrganization)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.106
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:legalAuthenticator
Item: (CDAlegalAuthenticator)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:legalAuthenticator"
         id="d7425e17-false-d7434e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.106-2005-09-07T000000.html"
              test="string(@typeCode)=('LA') or not(@typeCode)">(CDAlegalAuthenticator): Der Wert von @typeCode MUSS 'LA' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.106-2005-09-07T000000.html"
              test="string(@contextControlCode)=('OP') or not(@contextControlCode)">(CDAlegalAuthenticator): Der Wert von @contextControlCode MUSS 'OP' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.106-2005-09-07T000000.html"
              test="count(hl7:time)&gt;=1 ">(CDAlegalAuthenticator): Element hl7:time ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.106-2005-09-07T000000.html"
              test="count(hl7:time)&lt;=1">(CDAlegalAuthenticator): Element hl7:time kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.106-2005-09-07T000000.html"
              test="count(hl7:signatureCode[@code=doc('include/voc-2.16.840.1.113883.1.11.10282-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor])&gt;=1 ">(CDAlegalAuthenticator): Element hl7:signatureCode[@code=doc('include/voc-2.16.840.1.113883.1.11.10282-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.106-2005-09-07T000000.html"
              test="count(hl7:signatureCode[@code=doc('include/voc-2.16.840.1.113883.1.11.10282-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor])&lt;=1">(CDAlegalAuthenticator): Element hl7:signatureCode[@code=doc('include/voc-2.16.840.1.113883.1.11.10282-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.106-2005-09-07T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 ">(CDAlegalAuthenticator): Element hl7:assignedEntity ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.106-2005-09-07T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(CDAlegalAuthenticator): Element hl7:assignedEntity kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.106
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:legalAuthenticator/hl7:time
Item: (CDAlegalAuthenticator)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:legalAuthenticator/hl7:time"
         id="d7425e23-false-d7569e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.106-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAlegalAuthenticator): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.106
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:legalAuthenticator/hl7:signatureCode[@code=doc('include/voc-2.16.840.1.113883.1.11.10282-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor]
Item: (CDAlegalAuthenticator)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:legalAuthenticator/hl7:signatureCode[@code=doc('include/voc-2.16.840.1.113883.1.11.10282-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor]"
         id="d7425e25-false-d7584e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.106-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAlegalAuthenticator): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.106-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.10282-DYNAMIC.xml')//valueSet[1]/conceptList/concept[@code = $theCode] or completeCodeSystem)">(CDAlegalAuthenticator): Der Elementinhalt MUSS einer von '2.16.840.1.113883.1.11.10282 ParticipationSignature (DYNAMIC)' sein.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.10282-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.106-2005-09-07T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDAlegalAuthenticator): Der fehlende Wert '<value-of select="@nullFlavor"/>' für @code MUSS gewählt werden aus dem Set gültiger null flavors für dieses Attribut oder denen assoziiert mit Value Set 2.16.840.1.113883.1.11.10282 ParticipationSignature (DYNAMIC).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.106
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:legalAuthenticator/hl7:assignedEntity
Item: (CDAlegalAuthenticator)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.153
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:legalAuthenticator/hl7:assignedEntity
Item: (CDAAssignedEntity)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:legalAuthenticator/hl7:assignedEntity">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="string(@classCode)=('ASSIGNED') or not(@classCode)">(CDAAssignedEntity): Der Wert von @classCode MUSS 'ASSIGNED' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="count(hl7:id)&gt;=1 ">(CDAAssignedEntity): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="count(hl7:code)&lt;=1">(CDAAssignedEntity): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="count(hl7:assignedPerson)&lt;=1">(CDAAssignedEntity): Element hl7:assignedPerson kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="count(hl7:representedOrganization)&lt;=1">(CDAAssignedEntity): Element hl7:representedOrganization kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.153
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:legalAuthenticator/hl7:assignedEntity/hl7:id
Item: (CDAAssignedEntity)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:legalAuthenticator/hl7:assignedEntity/hl7:id">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAssignedEntity): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.153
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:legalAuthenticator/hl7:assignedEntity/hl7:code
Item: (CDAAssignedEntity)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:legalAuthenticator/hl7:assignedEntity/hl7:code">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAssignedEntity): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.111')">(CDAAssignedEntity): Der Elementinhalt MUSS einer von 'codeSystem '2.16.840.1.113883.5.111'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.153
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:legalAuthenticator/hl7:assignedEntity/hl7:addr
Item: (CDAAssignedEntity)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:legalAuthenticator/hl7:assignedEntity/hl7:addr">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAssignedEntity): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.153
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:legalAuthenticator/hl7:assignedEntity/hl7:telecom
Item: (CDAAssignedEntity)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:legalAuthenticator/hl7:assignedEntity/hl7:telecom">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAssignedEntity): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.153
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:legalAuthenticator/hl7:assignedEntity/hl7:assignedPerson
Item: (CDAAssignedEntity)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.152
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:legalAuthenticator/hl7:assignedEntity/hl7:assignedPerson
Item: (CDAPerson)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:legalAuthenticator/hl7:assignedEntity/hl7:assignedPerson">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.152-2005-09-07T000000.html"
              test="string(@classCode)=('PSN') or not(@classCode)">(CDAPerson): Der Wert von @classCode MUSS 'PSN' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.152-2005-09-07T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDAPerson): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.152
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:legalAuthenticator/hl7:assignedEntity/hl7:assignedPerson/hl7:name
Item: (CDAPerson)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:legalAuthenticator/hl7:assignedEntity/hl7:assignedPerson/hl7:name">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.152-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAPerson): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PN" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.153
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:legalAuthenticator/hl7:assignedEntity/hl7:representedOrganization
Item: (CDAAssignedEntity)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:legalAuthenticator/hl7:assignedEntity/hl7:representedOrganization
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:legalAuthenticator/hl7:assignedEntity/hl7:representedOrganization">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="string(@classCode)=('ORG') or not(@classCode)">(CDAOrganization): Der Wert von @classCode MUSS 'ORG' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDAOrganization): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:standardIndustryClassCode)&lt;=1">(CDAOrganization): Element hl7:standardIndustryClassCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:asOrganizationPartOf)&lt;=1">(CDAOrganization): Element hl7:asOrganizationPartOf kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:legalAuthenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:id
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:legalAuthenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:id">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:legalAuthenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:name
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:legalAuthenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:name">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ON" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:legalAuthenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:telecom
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:legalAuthenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:telecom">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:legalAuthenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:addr
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:legalAuthenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:addr">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:legalAuthenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:standardIndustryClassCode
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:legalAuthenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:standardIndustryClassCode">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:legalAuthenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:legalAuthenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="string(@classCode)=('PART') or not(@classCode)">(CDAOrganization): Der Wert von @classCode MUSS 'PART' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:code)&lt;=1">(CDAOrganization): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:statusCode)&lt;=1">(CDAOrganization): Element hl7:statusCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(CDAOrganization): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:wholeOrganization)&lt;=1">(CDAOrganization): Element hl7:wholeOrganization kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:legalAuthenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:id
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:legalAuthenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:id">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:legalAuthenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:code
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:legalAuthenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:code">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.111')">(CDAOrganization): Der Elementinhalt MUSS einer von 'codeSystem '2.16.840.1.113883.5.111'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:legalAuthenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:statusCode
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:legalAuthenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:statusCode">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15999-DYNAMIC.xml')//valueSet[1]/conceptList/concept[@code = $theCode] or completeCodeSystem)">(CDAOrganization): Der Elementinhalt MUSS einer von '2.16.840.1.113883.1.11.15999 RoleStatus (DYNAMIC)' sein.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15999-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDAOrganization): Der fehlende Wert '<value-of select="@nullFlavor"/>' für @code MUSS gewählt werden aus dem Set gültiger null flavors für dieses Attribut oder denen assoziiert mit Value Set 2.16.840.1.113883.1.11.15999 RoleStatus (DYNAMIC).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:legalAuthenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:effectiveTime
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:legalAuthenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:effectiveTime">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:legalAuthenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization
Item: (CDAOrganization)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.107
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:authenticator
Item: (CDAauthenticator)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:authenticator"
         id="d8266e17-false-d8276e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.107-2005-09-07T000000.html"
              test="string(@typeCode)=('AUTHEN') or not(@typeCode)">(CDAauthenticator): Der Wert von @typeCode MUSS 'AUTHEN' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.107-2005-09-07T000000.html"
              test="count(hl7:time)&gt;=1 ">(CDAauthenticator): Element hl7:time ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.107-2005-09-07T000000.html"
              test="count(hl7:time)&lt;=1">(CDAauthenticator): Element hl7:time kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.107-2005-09-07T000000.html"
              test="count(hl7:signatureCode[@code=doc('include/voc-2.16.840.1.113883.1.11.10282-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor])&gt;=1 ">(CDAauthenticator): Element hl7:signatureCode[@code=doc('include/voc-2.16.840.1.113883.1.11.10282-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.107-2005-09-07T000000.html"
              test="count(hl7:signatureCode[@code=doc('include/voc-2.16.840.1.113883.1.11.10282-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor])&lt;=1">(CDAauthenticator): Element hl7:signatureCode[@code=doc('include/voc-2.16.840.1.113883.1.11.10282-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.107-2005-09-07T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 ">(CDAauthenticator): Element hl7:assignedEntity ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.107-2005-09-07T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(CDAauthenticator): Element hl7:assignedEntity kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.107
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:authenticator/hl7:time
Item: (CDAauthenticator)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:authenticator/hl7:time"
         id="d8266e21-false-d8407e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.107-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAauthenticator): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.107
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:authenticator/hl7:signatureCode[@code=doc('include/voc-2.16.840.1.113883.1.11.10282-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor]
Item: (CDAauthenticator)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:authenticator/hl7:signatureCode[@code=doc('include/voc-2.16.840.1.113883.1.11.10282-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor]"
         id="d8266e23-false-d8422e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.107-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAauthenticator): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.107-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.10282-DYNAMIC.xml')//valueSet[1]/conceptList/concept[@code = $theCode] or completeCodeSystem)">(CDAauthenticator): Der Elementinhalt MUSS einer von '2.16.840.1.113883.1.11.10282 ParticipationSignature (DYNAMIC)' sein.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.10282-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.107-2005-09-07T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDAauthenticator): Der fehlende Wert '<value-of select="@nullFlavor"/>' für @code MUSS gewählt werden aus dem Set gültiger null flavors für dieses Attribut oder denen assoziiert mit Value Set 2.16.840.1.113883.1.11.10282 ParticipationSignature (DYNAMIC).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.107
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:authenticator/hl7:assignedEntity
Item: (CDAauthenticator)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.153
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:authenticator/hl7:assignedEntity
Item: (CDAAssignedEntity)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:authenticator/hl7:assignedEntity">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="string(@classCode)=('ASSIGNED') or not(@classCode)">(CDAAssignedEntity): Der Wert von @classCode MUSS 'ASSIGNED' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="count(hl7:id)&gt;=1 ">(CDAAssignedEntity): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="count(hl7:code)&lt;=1">(CDAAssignedEntity): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="count(hl7:assignedPerson)&lt;=1">(CDAAssignedEntity): Element hl7:assignedPerson kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="count(hl7:representedOrganization)&lt;=1">(CDAAssignedEntity): Element hl7:representedOrganization kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.153
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:authenticator/hl7:assignedEntity/hl7:id
Item: (CDAAssignedEntity)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:authenticator/hl7:assignedEntity/hl7:id">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAssignedEntity): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.153
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:authenticator/hl7:assignedEntity/hl7:code
Item: (CDAAssignedEntity)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:authenticator/hl7:assignedEntity/hl7:code">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAssignedEntity): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.111')">(CDAAssignedEntity): Der Elementinhalt MUSS einer von 'codeSystem '2.16.840.1.113883.5.111'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.153
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:authenticator/hl7:assignedEntity/hl7:addr
Item: (CDAAssignedEntity)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:authenticator/hl7:assignedEntity/hl7:addr">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAssignedEntity): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.153
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:authenticator/hl7:assignedEntity/hl7:telecom
Item: (CDAAssignedEntity)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:authenticator/hl7:assignedEntity/hl7:telecom">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAssignedEntity): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.153
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:authenticator/hl7:assignedEntity/hl7:assignedPerson
Item: (CDAAssignedEntity)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.152
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:authenticator/hl7:assignedEntity/hl7:assignedPerson
Item: (CDAPerson)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:authenticator/hl7:assignedEntity/hl7:assignedPerson">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.152-2005-09-07T000000.html"
              test="string(@classCode)=('PSN') or not(@classCode)">(CDAPerson): Der Wert von @classCode MUSS 'PSN' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.152-2005-09-07T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDAPerson): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.152
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:authenticator/hl7:assignedEntity/hl7:assignedPerson/hl7:name
Item: (CDAPerson)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:authenticator/hl7:assignedEntity/hl7:assignedPerson/hl7:name">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.152-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAPerson): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PN" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.153
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:authenticator/hl7:assignedEntity/hl7:representedOrganization
Item: (CDAAssignedEntity)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:authenticator/hl7:assignedEntity/hl7:representedOrganization
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:authenticator/hl7:assignedEntity/hl7:representedOrganization">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="string(@classCode)=('ORG') or not(@classCode)">(CDAOrganization): Der Wert von @classCode MUSS 'ORG' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDAOrganization): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:standardIndustryClassCode)&lt;=1">(CDAOrganization): Element hl7:standardIndustryClassCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:asOrganizationPartOf)&lt;=1">(CDAOrganization): Element hl7:asOrganizationPartOf kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:authenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:id
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:authenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:id">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:authenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:name
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:authenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:name">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ON" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:authenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:telecom
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:authenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:telecom">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:authenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:addr
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:authenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:addr">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:authenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:standardIndustryClassCode
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:authenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:standardIndustryClassCode">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:authenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:authenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="string(@classCode)=('PART') or not(@classCode)">(CDAOrganization): Der Wert von @classCode MUSS 'PART' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:code)&lt;=1">(CDAOrganization): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:statusCode)&lt;=1">(CDAOrganization): Element hl7:statusCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(CDAOrganization): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:wholeOrganization)&lt;=1">(CDAOrganization): Element hl7:wholeOrganization kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:authenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:id
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:authenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:id">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:authenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:code
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:authenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:code">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.111')">(CDAOrganization): Der Elementinhalt MUSS einer von 'codeSystem '2.16.840.1.113883.5.111'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:authenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:statusCode
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:authenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:statusCode">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15999-DYNAMIC.xml')//valueSet[1]/conceptList/concept[@code = $theCode] or completeCodeSystem)">(CDAOrganization): Der Elementinhalt MUSS einer von '2.16.840.1.113883.1.11.15999 RoleStatus (DYNAMIC)' sein.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15999-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDAOrganization): Der fehlende Wert '<value-of select="@nullFlavor"/>' für @code MUSS gewählt werden aus dem Set gültiger null flavors für dieses Attribut oder denen assoziiert mit Value Set 2.16.840.1.113883.1.11.15999 RoleStatus (DYNAMIC).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:authenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:effectiveTime
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:authenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:effectiveTime">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:authenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization
Item: (CDAOrganization)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.108
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:participant
Item: (CDAparticipant)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:participant"
         id="d9104e17-false-d9114e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.108-2005-09-07T000000.html"
              test="@typeCode">(CDAparticipant): Attribut @typeCode MUSS vorkommen.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.108-2005-09-07T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(CDAparticipant): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@typeCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(document('include/voc-2.16.840.1.113883.1.11.10901-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.108-2005-09-07T000000.html"
              test="not(@typeCode) or count($theAttValue) = count($theAttCheck)">(CDAparticipant): Der Wert von typeCode MUSS gewählt werden aus Value Set '2.16.840.1.113883.1.11.10901' ParticipationType (DYNAMIC).</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.108-2005-09-07T000000.html"
              test="string(@contextControlCode)=('OP') or not(@contextControlCode)">(CDAparticipant): Der Wert von @contextControlCode MUSS 'OP' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.108-2005-09-07T000000.html"
              test="count(hl7:functionCode)&lt;=1">(CDAparticipant): Element hl7:functionCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.108-2005-09-07T000000.html"
              test="count(hl7:time)&lt;=1">(CDAparticipant): Element hl7:time kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.108-2005-09-07T000000.html"
              test="count(hl7:associatedEntity)&gt;=1 ">(CDAparticipant): Element hl7:associatedEntity ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.108-2005-09-07T000000.html"
              test="count(hl7:associatedEntity)&lt;=1">(CDAparticipant): Element hl7:associatedEntity kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.108
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:participant/hl7:functionCode
Item: (CDAparticipant)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:participant/hl7:functionCode"
         id="d9104e27-false-d9177e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.108-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAparticipant): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.108-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDAparticipant): Der Elementinhalt MUSS einer von '2.16.840.1.113883.1.11.10267 ParticipationFunction (DYNAMIC)' sein.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.108-2005-09-07T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDAparticipant): Der fehlende Wert '<value-of select="@nullFlavor"/>' für @code MUSS gewählt werden aus dem Set gültiger null flavors für dieses Attribut oder denen assoziiert mit Value Set 2.16.840.1.113883.1.11.10267 ParticipationFunction (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.108
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:participant/hl7:time
Item: (CDAparticipant)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:participant/hl7:time"
         id="d9104e33-false-d9205e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.108-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAparticipant): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.108
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:participant/hl7:associatedEntity
Item: (CDAparticipant)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:participant/hl7:associatedEntity"
         id="d9104e35-false-d9219e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.108-2005-09-07T000000.html"
              test="@classCode">(CDAparticipant): Attribut @classCode MUSS vorkommen.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.108-2005-09-07T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(CDAparticipant): Attribute @classCode MUSS vom Datentyp 'cs' sein</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@classCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(document('include/voc-2.16.840.1.113883.1.11.19313-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.108-2005-09-07T000000.html"
              test="not(@classCode) or count($theAttValue) = count($theAttCheck)">(CDAparticipant): Der Wert von classCode MUSS gewählt werden aus Value Set '2.16.840.1.113883.1.11.19313' RoleClassAssociative (DYNAMIC).</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.108-2005-09-07T000000.html"
              test="count(hl7:code)&lt;=1">(CDAparticipant): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.108-2005-09-07T000000.html"
              test="count(hl7:associatedPerson)&lt;=1">(CDAparticipant): Element hl7:associatedPerson kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.108-2005-09-07T000000.html"
              test="count(hl7:scopingOrganization)&lt;=1">(CDAparticipant): Element hl7:scopingOrganization kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.108
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:participant/hl7:associatedEntity/hl7:id
Item: (CDAparticipant)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:participant/hl7:associatedEntity/hl7:id"
         id="d9104e43-false-d9337e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.108-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAparticipant): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.108
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:participant/hl7:associatedEntity/hl7:code
Item: (CDAparticipant)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:participant/hl7:associatedEntity/hl7:code"
         id="d9104e45-false-d9351e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.108-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAparticipant): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.108-2005-09-07T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.111')">(CDAparticipant): Der Elementinhalt MUSS einer von 'codeSystem '2.16.840.1.113883.5.111'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.108
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:participant/hl7:associatedEntity/hl7:addr
Item: (CDAparticipant)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:participant/hl7:associatedEntity/hl7:addr"
         id="d9104e50-false-d9372e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.108-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAparticipant): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.108
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:participant/hl7:associatedEntity/hl7:telecom
Item: (CDAparticipant)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:participant/hl7:associatedEntity/hl7:telecom"
         id="d9104e52-false-d9386e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.108-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAparticipant): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.108
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:participant/hl7:associatedEntity/hl7:associatedPerson
Item: (CDAparticipant)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.152
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:participant/hl7:associatedEntity/hl7:associatedPerson
Item: (CDAPerson)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:participant/hl7:associatedEntity/hl7:associatedPerson">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.152-2005-09-07T000000.html"
              test="string(@classCode)=('PSN') or not(@classCode)">(CDAPerson): Der Wert von @classCode MUSS 'PSN' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.152-2005-09-07T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDAPerson): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.152
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:participant/hl7:associatedEntity/hl7:associatedPerson/hl7:name
Item: (CDAPerson)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:participant/hl7:associatedEntity/hl7:associatedPerson/hl7:name">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.152-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAPerson): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PN" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.108
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:participant/hl7:associatedEntity/hl7:scopingOrganization
Item: (CDAparticipant)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:participant/hl7:associatedEntity/hl7:scopingOrganization
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:participant/hl7:associatedEntity/hl7:scopingOrganization">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="string(@classCode)=('ORG') or not(@classCode)">(CDAOrganization): Der Wert von @classCode MUSS 'ORG' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDAOrganization): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:standardIndustryClassCode)&lt;=1">(CDAOrganization): Element hl7:standardIndustryClassCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:asOrganizationPartOf)&lt;=1">(CDAOrganization): Element hl7:asOrganizationPartOf kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:participant/hl7:associatedEntity/hl7:scopingOrganization/hl7:id
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:participant/hl7:associatedEntity/hl7:scopingOrganization/hl7:id">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:participant/hl7:associatedEntity/hl7:scopingOrganization/hl7:name
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:participant/hl7:associatedEntity/hl7:scopingOrganization/hl7:name">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ON" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:participant/hl7:associatedEntity/hl7:scopingOrganization/hl7:telecom
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:participant/hl7:associatedEntity/hl7:scopingOrganization/hl7:telecom">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:participant/hl7:associatedEntity/hl7:scopingOrganization/hl7:addr
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:participant/hl7:associatedEntity/hl7:scopingOrganization/hl7:addr">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:participant/hl7:associatedEntity/hl7:scopingOrganization/hl7:standardIndustryClassCode
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:participant/hl7:associatedEntity/hl7:scopingOrganization/hl7:standardIndustryClassCode">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:participant/hl7:associatedEntity/hl7:scopingOrganization/hl7:asOrganizationPartOf
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:participant/hl7:associatedEntity/hl7:scopingOrganization/hl7:asOrganizationPartOf">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="string(@classCode)=('PART') or not(@classCode)">(CDAOrganization): Der Wert von @classCode MUSS 'PART' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:code)&lt;=1">(CDAOrganization): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:statusCode)&lt;=1">(CDAOrganization): Element hl7:statusCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(CDAOrganization): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:wholeOrganization)&lt;=1">(CDAOrganization): Element hl7:wholeOrganization kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:participant/hl7:associatedEntity/hl7:scopingOrganization/hl7:asOrganizationPartOf/hl7:id
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:participant/hl7:associatedEntity/hl7:scopingOrganization/hl7:asOrganizationPartOf/hl7:id">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:participant/hl7:associatedEntity/hl7:scopingOrganization/hl7:asOrganizationPartOf/hl7:code
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:participant/hl7:associatedEntity/hl7:scopingOrganization/hl7:asOrganizationPartOf/hl7:code">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.111')">(CDAOrganization): Der Elementinhalt MUSS einer von 'codeSystem '2.16.840.1.113883.5.111'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:participant/hl7:associatedEntity/hl7:scopingOrganization/hl7:asOrganizationPartOf/hl7:statusCode
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:participant/hl7:associatedEntity/hl7:scopingOrganization/hl7:asOrganizationPartOf/hl7:statusCode">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15999-DYNAMIC.xml')//valueSet[1]/conceptList/concept[@code = $theCode] or completeCodeSystem)">(CDAOrganization): Der Elementinhalt MUSS einer von '2.16.840.1.113883.1.11.15999 RoleStatus (DYNAMIC)' sein.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15999-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDAOrganization): Der fehlende Wert '<value-of select="@nullFlavor"/>' für @code MUSS gewählt werden aus dem Set gültiger null flavors für dieses Attribut oder denen assoziiert mit Value Set 2.16.840.1.113883.1.11.15999 RoleStatus (DYNAMIC).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:participant/hl7:associatedEntity/hl7:scopingOrganization/hl7:asOrganizationPartOf/hl7:effectiveTime
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:participant/hl7:associatedEntity/hl7:scopingOrganization/hl7:asOrganizationPartOf/hl7:effectiveTime">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:participant/hl7:associatedEntity/hl7:scopingOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization
Item: (CDAOrganization)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.109
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:inFulfillmentOf
Item: (CDAinFulfillmentOf)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:inFulfillmentOf"
         id="d9785e17-false-d9794e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.109-2005-09-07T000000.html"
              test="string(@typeCode)=('FLFS') or not(@typeCode)">(CDAinFulfillmentOf): Der Wert von @typeCode MUSS 'FLFS' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.109-2005-09-07T000000.html"
              test="count(hl7:order)&gt;=1 ">(CDAinFulfillmentOf): Element hl7:order ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.109-2005-09-07T000000.html"
              test="count(hl7:order)&lt;=1">(CDAinFulfillmentOf): Element hl7:order kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.109
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:inFulfillmentOf/hl7:order
Item: (CDAinFulfillmentOf)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:inFulfillmentOf/hl7:order"
         id="d9785e21-false-d9819e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.109-2005-09-07T000000.html"
              test="string(@classCode)=('ACT') or not(@classCode)">(CDAinFulfillmentOf): Der Wert von @classCode MUSS 'ACT' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.109-2005-09-07T000000.html"
              test="string(@moodCode)=('RQO')">(CDAinFulfillmentOf): Der Wert von @moodCode MUSS 'RQO' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.109-2005-09-07T000000.html"
              test="count(hl7:id)&gt;=1 ">(CDAinFulfillmentOf): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.109-2005-09-07T000000.html"
              test="count(hl7:code)&lt;=1">(CDAinFulfillmentOf): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.109-2005-09-07T000000.html"
              test="count(hl7:priorityCode)&lt;=1">(CDAinFulfillmentOf): Element hl7:priorityCode kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.109
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:inFulfillmentOf/hl7:order/hl7:id
Item: (CDAinFulfillmentOf)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:inFulfillmentOf/hl7:order/hl7:id"
         id="d9785e27-false-d9863e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.109-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAinFulfillmentOf): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.109
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:inFulfillmentOf/hl7:order/hl7:code
Item: (CDAinFulfillmentOf)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:inFulfillmentOf/hl7:order/hl7:code"
         id="d9785e29-false-d9877e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.109-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAinFulfillmentOf): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.109-2005-09-07T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.4')">(CDAinFulfillmentOf): Der Elementinhalt MUSS einer von 'codeSystem '2.16.840.1.113883.5.4'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.109
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:inFulfillmentOf/hl7:order/hl7:priorityCode
Item: (CDAinFulfillmentOf)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:inFulfillmentOf/hl7:order/hl7:priorityCode"
         id="d9785e34-false-d9898e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.109-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAinFulfillmentOf): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.109-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.16866-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDAinFulfillmentOf): Der Elementinhalt MUSS einer von '2.16.840.1.113883.1.11.16866 ActPriority (DYNAMIC)' sein.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.16866-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.109-2005-09-07T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDAinFulfillmentOf): Der fehlende Wert '<value-of select="@nullFlavor"/>' für @code MUSS gewählt werden aus dem Set gültiger null flavors für dieses Attribut oder denen assoziiert mit Value Set 2.16.840.1.113883.1.11.16866 ActPriority (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.110
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:documentationOf
Item: (CDAdocumentationOf)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:documentationOf"
         id="d9900e35-false-d9926e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.110-2005-09-07T000000.html"
              test="string(@typeCode)=('DOC')">(CDAdocumentationOf): Der Wert von @typeCode MUSS 'DOC' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.110-2005-09-07T000000.html"
              test="count(hl7:serviceEvent)&gt;=1 ">(CDAdocumentationOf): Element hl7:serviceEvent ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.110-2005-09-07T000000.html"
              test="count(hl7:serviceEvent)&lt;=1">(CDAdocumentationOf): Element hl7:serviceEvent kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.110
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:documentationOf/hl7:serviceEvent
Item: (CDAdocumentationOf)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:documentationOf/hl7:serviceEvent"
         id="d9900e39-false-d9951e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.110-2005-09-07T000000.html"
              test="string(@classCode)=('ACT')">(CDAdocumentationOf): Der Wert von @classCode MUSS 'ACT' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.110-2005-09-07T000000.html"
              test="string(@moodCode)=('EVN')">(CDAdocumentationOf): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.110-2005-09-07T000000.html"
              test="count(hl7:code)&lt;=1">(CDAdocumentationOf): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.110-2005-09-07T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(CDAdocumentationOf): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.110
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:documentationOf/hl7:serviceEvent/hl7:id
Item: (CDAdocumentationOf)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:documentationOf/hl7:serviceEvent/hl7:id"
         id="d9900e45-false-d9998e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.110-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAdocumentationOf): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.110
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:documentationOf/hl7:serviceEvent/hl7:code
Item: (CDAdocumentationOf)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:documentationOf/hl7:serviceEvent/hl7:code"
         id="d9900e47-false-d10012e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.110-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAdocumentationOf): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.110-2005-09-07T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.4')">(CDAdocumentationOf): Der Elementinhalt MUSS einer von 'codeSystem '2.16.840.1.113883.5.4'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.110
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:documentationOf/hl7:serviceEvent/hl7:effectiveTime
Item: (CDAdocumentationOf)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:documentationOf/hl7:serviceEvent/hl7:effectiveTime"
         id="d9900e52-false-d10033e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.110-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAdocumentationOf): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.110
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:documentationOf/hl7:serviceEvent/hl7:performer
Item: (CDAdocumentationOf)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:documentationOf/hl7:serviceEvent/hl7:performer"
         id="d9900e55-false-d10047e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.110-2005-09-07T000000.html"
              test="@typeCode">(CDAdocumentationOf): Attribut @typeCode MUSS vorkommen.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.110-2005-09-07T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(CDAdocumentationOf): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@typeCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(document('include/voc-2.16.840.1.113883.1.11.19601-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.110-2005-09-07T000000.html"
              test="not(@typeCode) or count($theAttValue) = count($theAttCheck)">(CDAdocumentationOf): Der Wert von typeCode MUSS gewählt werden aus Value Set '2.16.840.1.113883.1.11.19601' x_ServiceEventPerformer (DYNAMIC).</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.110-2005-09-07T000000.html"
              test="count(hl7:functionCode)&lt;=1">(CDAdocumentationOf): Element hl7:functionCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.110-2005-09-07T000000.html"
              test="count(hl7:time)&lt;=1">(CDAdocumentationOf): Element hl7:time kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.110-2005-09-07T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 ">(CDAdocumentationOf): Element hl7:assignedEntity ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.110-2005-09-07T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(CDAdocumentationOf): Element hl7:assignedEntity kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.110
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:functionCode
Item: (CDAdocumentationOf)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:functionCode"
         id="d9900e63-false-d10187e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.110-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAdocumentationOf): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.110-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDAdocumentationOf): Der Elementinhalt MUSS einer von '2.16.840.1.113883.1.11.10267 ParticipationFunction (DYNAMIC)' sein.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.110-2005-09-07T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDAdocumentationOf): Der fehlende Wert '<value-of select="@nullFlavor"/>' für @code MUSS gewählt werden aus dem Set gültiger null flavors für dieses Attribut oder denen assoziiert mit Value Set 2.16.840.1.113883.1.11.10267 ParticipationFunction (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.110
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:time
Item: (CDAdocumentationOf)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:time"
         id="d9900e69-false-d10215e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.110-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAdocumentationOf): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.110
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity
Item: (CDAdocumentationOf)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.153
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity
Item: (CDAAssignedEntity)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="string(@classCode)=('ASSIGNED') or not(@classCode)">(CDAAssignedEntity): Der Wert von @classCode MUSS 'ASSIGNED' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="count(hl7:id)&gt;=1 ">(CDAAssignedEntity): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="count(hl7:code)&lt;=1">(CDAAssignedEntity): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="count(hl7:assignedPerson)&lt;=1">(CDAAssignedEntity): Element hl7:assignedPerson kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="count(hl7:representedOrganization)&lt;=1">(CDAAssignedEntity): Element hl7:representedOrganization kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.153
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:id
Item: (CDAAssignedEntity)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:id">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAssignedEntity): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.153
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:code
Item: (CDAAssignedEntity)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:code">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAssignedEntity): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.111')">(CDAAssignedEntity): Der Elementinhalt MUSS einer von 'codeSystem '2.16.840.1.113883.5.111'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.153
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:addr
Item: (CDAAssignedEntity)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:addr">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAssignedEntity): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.153
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:telecom
Item: (CDAAssignedEntity)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:telecom">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAssignedEntity): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.153
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:assignedPerson
Item: (CDAAssignedEntity)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.152
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:assignedPerson
Item: (CDAPerson)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:assignedPerson">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.152-2005-09-07T000000.html"
              test="string(@classCode)=('PSN') or not(@classCode)">(CDAPerson): Der Wert von @classCode MUSS 'PSN' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.152-2005-09-07T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDAPerson): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.152
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:assignedPerson/hl7:name
Item: (CDAPerson)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:assignedPerson/hl7:name">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.152-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAPerson): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PN" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.153
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:representedOrganization
Item: (CDAAssignedEntity)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:representedOrganization
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:representedOrganization">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="string(@classCode)=('ORG') or not(@classCode)">(CDAOrganization): Der Wert von @classCode MUSS 'ORG' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDAOrganization): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:standardIndustryClassCode)&lt;=1">(CDAOrganization): Element hl7:standardIndustryClassCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:asOrganizationPartOf)&lt;=1">(CDAOrganization): Element hl7:asOrganizationPartOf kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:id
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:id">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:name
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:name">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ON" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:telecom
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:telecom">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:addr
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:addr">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:standardIndustryClassCode
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:standardIndustryClassCode">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="string(@classCode)=('PART') or not(@classCode)">(CDAOrganization): Der Wert von @classCode MUSS 'PART' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:code)&lt;=1">(CDAOrganization): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:statusCode)&lt;=1">(CDAOrganization): Element hl7:statusCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(CDAOrganization): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:wholeOrganization)&lt;=1">(CDAOrganization): Element hl7:wholeOrganization kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:id
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:id">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:code
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:code">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.111')">(CDAOrganization): Der Elementinhalt MUSS einer von 'codeSystem '2.16.840.1.113883.5.111'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:statusCode
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:statusCode">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15999-DYNAMIC.xml')//valueSet[1]/conceptList/concept[@code = $theCode] or completeCodeSystem)">(CDAOrganization): Der Elementinhalt MUSS einer von '2.16.840.1.113883.1.11.15999 RoleStatus (DYNAMIC)' sein.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15999-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDAOrganization): Der fehlende Wert '<value-of select="@nullFlavor"/>' für @code MUSS gewählt werden aus dem Set gültiger null flavors für dieses Attribut oder denen assoziiert mit Value Set 2.16.840.1.113883.1.11.15999 RoleStatus (DYNAMIC).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:effectiveTime
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:effectiveTime">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:documentationOf/hl7:serviceEvent/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization
Item: (CDAOrganization)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.111
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:relatedDocument
Item: (CDArelatedDocument)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:relatedDocument"
         id="d10883e17-false-d10893e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.111-2005-09-07T000000.html"
              test="@typeCode">(CDArelatedDocument): Attribut @typeCode MUSS vorkommen.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.111-2005-09-07T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(CDArelatedDocument): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@typeCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(document('include/voc-2.16.840.1.113883.1.11.11610-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.111-2005-09-07T000000.html"
              test="not(@typeCode) or count($theAttValue) = count($theAttCheck)">(CDArelatedDocument): Der Wert von typeCode MUSS gewählt werden aus Value Set '2.16.840.1.113883.1.11.11610' x_ActRelationshipDocument (DYNAMIC).</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.111-2005-09-07T000000.html"
              test="count(hl7:parentDocument)&gt;=1 ">(CDArelatedDocument): Element hl7:parentDocument ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.111-2005-09-07T000000.html"
              test="count(hl7:parentDocument)&lt;=1">(CDArelatedDocument): Element hl7:parentDocument kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.111
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:relatedDocument/hl7:parentDocument
Item: (CDArelatedDocument)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:relatedDocument/hl7:parentDocument"
         id="d10883e25-false-d10934e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.111-2005-09-07T000000.html"
              test="string(@classCode)=('DOCCLIN') or not(@classCode)">(CDArelatedDocument): Der Wert von @classCode MUSS 'DOCCLIN' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.111-2005-09-07T000000.html"
              test="string(@moodCode)=('EVN') or not(@moodCode)">(CDArelatedDocument): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.111-2005-09-07T000000.html"
              test="count(hl7:id)&gt;=1 ">(CDArelatedDocument): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.111-2005-09-07T000000.html"
              test="count(hl7:code)&lt;=1">(CDArelatedDocument): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.111-2005-09-07T000000.html"
              test="count(hl7:text)&lt;=1">(CDArelatedDocument): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.111-2005-09-07T000000.html"
              test="count(hl7:setId)&lt;=1">(CDArelatedDocument): Element hl7:setId kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.111-2005-09-07T000000.html"
              test="count(hl7:versionNumber)&lt;=1">(CDArelatedDocument): Element hl7:versionNumber kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.111
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:relatedDocument/hl7:parentDocument/hl7:id
Item: (CDArelatedDocument)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:relatedDocument/hl7:parentDocument/hl7:id"
         id="d10883e31-false-d10996e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.111-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArelatedDocument): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.111
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:relatedDocument/hl7:parentDocument/hl7:code
Item: (CDArelatedDocument)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:relatedDocument/hl7:parentDocument/hl7:code"
         id="d10883e33-false-d11010e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.111-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArelatedDocument): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.111-2005-09-07T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.6.1')">(CDArelatedDocument): Der Elementinhalt MUSS einer von 'codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.111
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:relatedDocument/hl7:parentDocument/hl7:text
Item: (CDArelatedDocument)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:relatedDocument/hl7:parentDocument/hl7:text"
         id="d10883e38-false-d11031e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.111-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArelatedDocument): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.111
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:relatedDocument/hl7:parentDocument/hl7:setId
Item: (CDArelatedDocument)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:relatedDocument/hl7:parentDocument/hl7:setId"
         id="d10883e41-false-d11045e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.111-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArelatedDocument): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.111
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:relatedDocument/hl7:parentDocument/hl7:versionNumber
Item: (CDArelatedDocument)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:relatedDocument/hl7:parentDocument/hl7:versionNumber"
         id="d10883e43-false-d11059e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.111-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='INT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArelatedDocument): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:INT" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="INT"/>
      <let name="digitok" value="matches(string(@value), '^-?[1-9]\d*$|^+?\d*$')"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.111-2005-09-07T000000.html"
              test="$digitok or @nullFlavor">(CDArelatedDocument): @value ist keine gültige INT Zahl <value-of select="@value"/>
      </assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.114
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:authorization
Item: (CDAauthorization)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:authorization"
         id="d11061e28-false-d11076e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.114-2005-09-07T000000.html"
              test="string(@typeCode)=('AUTH') or not(@typeCode)">(CDAauthorization): Der Wert von @typeCode MUSS 'AUTH' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.114-2005-09-07T000000.html"
              test="count(hl7:consent)&gt;=1 ">(CDAauthorization): Element hl7:consent ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.114-2005-09-07T000000.html"
              test="count(hl7:consent)&lt;=1">(CDAauthorization): Element hl7:consent kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.114
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:authorization/hl7:consent
Item: (CDAauthorization)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:authorization/hl7:consent"
         id="d11061e32-false-d11101e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.114-2005-09-07T000000.html"
              test="string(@classCode)=('CONS') or not(@classCode)">(CDAauthorization): Der Wert von @classCode MUSS 'CONS' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.114-2005-09-07T000000.html"
              test="string(@moodCode)=('EVN') or not(@moodCode)">(CDAauthorization): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.114-2005-09-07T000000.html"
              test="count(hl7:code)&lt;=1">(CDAauthorization): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.114-2005-09-07T000000.html"
              test="count(hl7:statusCode[@code='completed' or @nullFlavor])&gt;=1 ">(CDAauthorization): Element hl7:statusCode[@code='completed' or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.114-2005-09-07T000000.html"
              test="count(hl7:statusCode[@code='completed' or @nullFlavor])&lt;=1">(CDAauthorization): Element hl7:statusCode[@code='completed' or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.114
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:authorization/hl7:consent/hl7:id
Item: (CDAauthorization)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:authorization/hl7:consent/hl7:id"
         id="d11061e38-false-d11145e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.114-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAauthorization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.114
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:authorization/hl7:consent/hl7:code
Item: (CDAauthorization)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:authorization/hl7:consent/hl7:code"
         id="d11061e40-false-d11159e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.114-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAauthorization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.114-2005-09-07T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.4')">(CDAauthorization): Der Elementinhalt MUSS einer von 'codeSystem '2.16.840.1.113883.5.4'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.114
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:authorization/hl7:consent/hl7:statusCode[@code='completed' or @nullFlavor]
Item: (CDAauthorization)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:authorization/hl7:consent/hl7:statusCode[@code='completed' or @nullFlavor]"
         id="d11061e45-false-d11180e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.114-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAauthorization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.114-2005-09-07T000000.html"
              test="@nullFlavor or (@code='completed')">(CDAauthorization): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.113
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf
Item: (CDAcomponentOf)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf"
         id="d11182e26-false-d11201e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.113-2005-09-07T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(CDAcomponentOf): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.113-2005-09-07T000000.html"
              test="count(hl7:encompassingEncounter)&gt;=1 ">(CDAcomponentOf): Element hl7:encompassingEncounter ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.113-2005-09-07T000000.html"
              test="count(hl7:encompassingEncounter)&lt;=1">(CDAcomponentOf): Element hl7:encompassingEncounter kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.113
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter
Item: (CDAcomponentOf)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter"
         id="d11182e30-false-d11226e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.113-2005-09-07T000000.html"
              test="string(@classCode)=('ENC') or not(@classCode)">(CDAcomponentOf): Der Wert von @classCode MUSS 'ENC' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.113-2005-09-07T000000.html"
              test="string(@moodCode)=('EVN') or not(@moodCode)">(CDAcomponentOf): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.113-2005-09-07T000000.html"
              test="count(hl7:code)&lt;=1">(CDAcomponentOf): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.113-2005-09-07T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 ">(CDAcomponentOf): Element hl7:effectiveTime ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.113-2005-09-07T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(CDAcomponentOf): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.113-2005-09-07T000000.html"
              test="count(hl7:dischargeDispositionCode)&lt;=1">(CDAcomponentOf): Element hl7:dischargeDispositionCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.113-2005-09-07T000000.html"
              test="count(hl7:responsibleParty)&lt;=1">(CDAcomponentOf): Element hl7:responsibleParty kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.113-2005-09-07T000000.html"
              test="count(hl7:location)&lt;=1">(CDAcomponentOf): Element hl7:location kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.113
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:id
Item: (CDAcomponentOf)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:id"
         id="d11182e36-false-d11384e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.113-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAcomponentOf): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.113
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:code
Item: (CDAcomponentOf)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:code"
         id="d11182e38-false-d11398e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.113-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAcomponentOf): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.113-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.13955-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDAcomponentOf): Der Elementinhalt MUSS einer von '2.16.840.1.113883.1.11.13955 ActEncounterCode (DYNAMIC)' sein.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.13955-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.113-2005-09-07T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDAcomponentOf): Der fehlende Wert '<value-of select="@nullFlavor"/>' für @code MUSS gewählt werden aus dem Set gültiger null flavors für dieses Attribut oder denen assoziiert mit Value Set 2.16.840.1.113883.1.11.13955 ActEncounterCode (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.113
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:effectiveTime
Item: (CDAcomponentOf)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:effectiveTime"
         id="d11182e44-false-d11426e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.113-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAcomponentOf): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.113
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:dischargeDispositionCode
Item: (CDAcomponentOf)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:dischargeDispositionCode"
         id="d11182e47-false-d11440e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.113-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAcomponentOf): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.113
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:responsibleParty
Item: (CDAcomponentOf)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:responsibleParty">
      <extends rule="d11182e53-false-d11558e0"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.113-2005-09-07T000000.html"
              test="string(@typeCode)=('RESP') or not(@typeCode)">(CDAcomponentOf): Der Wert von @typeCode MUSS 'RESP' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.153
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:responsibleParty
Item: (CDAAssignedEntity)
-->
   <rule id="d11182e53-false-d11558e0" abstract="true">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="string(@classCode)=('ASSIGNED') or not(@classCode)">(CDAAssignedEntity): Der Wert von @classCode MUSS 'ASSIGNED' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="count(hl7:id)&gt;=1 ">(CDAAssignedEntity): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="count(hl7:code)&lt;=1">(CDAAssignedEntity): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="count(hl7:assignedPerson)&lt;=1">(CDAAssignedEntity): Element hl7:assignedPerson kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="count(hl7:representedOrganization)&lt;=1">(CDAAssignedEntity): Element hl7:representedOrganization kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.153
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:responsibleParty/hl7:id
Item: (CDAAssignedEntity)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:responsibleParty/hl7:id">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAssignedEntity): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.153
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:responsibleParty/hl7:code
Item: (CDAAssignedEntity)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:responsibleParty/hl7:code">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAssignedEntity): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.111')">(CDAAssignedEntity): Der Elementinhalt MUSS einer von 'codeSystem '2.16.840.1.113883.5.111'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.153
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:responsibleParty/hl7:addr
Item: (CDAAssignedEntity)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:responsibleParty/hl7:addr">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAssignedEntity): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.153
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:responsibleParty/hl7:telecom
Item: (CDAAssignedEntity)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:responsibleParty/hl7:telecom">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAssignedEntity): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.153
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:responsibleParty/hl7:assignedPerson
Item: (CDAAssignedEntity)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.152
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:responsibleParty/hl7:assignedPerson
Item: (CDAPerson)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:responsibleParty/hl7:assignedPerson">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.152-2005-09-07T000000.html"
              test="string(@classCode)=('PSN') or not(@classCode)">(CDAPerson): Der Wert von @classCode MUSS 'PSN' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.152-2005-09-07T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDAPerson): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.152
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:responsibleParty/hl7:assignedPerson/hl7:name
Item: (CDAPerson)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:responsibleParty/hl7:assignedPerson/hl7:name">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.152-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAPerson): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PN" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.153
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:responsibleParty/hl7:representedOrganization
Item: (CDAAssignedEntity)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:responsibleParty/hl7:representedOrganization
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:responsibleParty/hl7:representedOrganization">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="string(@classCode)=('ORG') or not(@classCode)">(CDAOrganization): Der Wert von @classCode MUSS 'ORG' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDAOrganization): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:standardIndustryClassCode)&lt;=1">(CDAOrganization): Element hl7:standardIndustryClassCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:asOrganizationPartOf)&lt;=1">(CDAOrganization): Element hl7:asOrganizationPartOf kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:responsibleParty/hl7:representedOrganization/hl7:id
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:responsibleParty/hl7:representedOrganization/hl7:id">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:responsibleParty/hl7:representedOrganization/hl7:name
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:responsibleParty/hl7:representedOrganization/hl7:name">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ON" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:responsibleParty/hl7:representedOrganization/hl7:telecom
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:responsibleParty/hl7:representedOrganization/hl7:telecom">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:responsibleParty/hl7:representedOrganization/hl7:addr
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:responsibleParty/hl7:representedOrganization/hl7:addr">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:responsibleParty/hl7:representedOrganization/hl7:standardIndustryClassCode
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:responsibleParty/hl7:representedOrganization/hl7:standardIndustryClassCode">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:responsibleParty/hl7:representedOrganization/hl7:asOrganizationPartOf
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:responsibleParty/hl7:representedOrganization/hl7:asOrganizationPartOf">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="string(@classCode)=('PART') or not(@classCode)">(CDAOrganization): Der Wert von @classCode MUSS 'PART' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:code)&lt;=1">(CDAOrganization): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:statusCode)&lt;=1">(CDAOrganization): Element hl7:statusCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(CDAOrganization): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:wholeOrganization)&lt;=1">(CDAOrganization): Element hl7:wholeOrganization kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:responsibleParty/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:id
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:responsibleParty/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:id">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:responsibleParty/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:code
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:responsibleParty/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:code">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.111')">(CDAOrganization): Der Elementinhalt MUSS einer von 'codeSystem '2.16.840.1.113883.5.111'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:responsibleParty/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:statusCode
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:responsibleParty/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:statusCode">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15999-DYNAMIC.xml')//valueSet[1]/conceptList/concept[@code = $theCode] or completeCodeSystem)">(CDAOrganization): Der Elementinhalt MUSS einer von '2.16.840.1.113883.1.11.15999 RoleStatus (DYNAMIC)' sein.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15999-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDAOrganization): Der fehlende Wert '<value-of select="@nullFlavor"/>' für @code MUSS gewählt werden aus dem Set gültiger null flavors für dieses Attribut oder denen assoziiert mit Value Set 2.16.840.1.113883.1.11.15999 RoleStatus (DYNAMIC).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:responsibleParty/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:effectiveTime
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:responsibleParty/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:effectiveTime">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:responsibleParty/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization
Item: (CDAOrganization)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.113
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:encounterParticipant
Item: (CDAcomponentOf)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:encounterParticipant"
         id="d11182e58-false-d12121e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.113-2005-09-07T000000.html"
              test="@typeCode">(CDAcomponentOf): Attribut @typeCode MUSS vorkommen.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.113-2005-09-07T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(CDAcomponentOf): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@typeCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(document('include/voc-2.16.840.1.113883.1.11.19600-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.113-2005-09-07T000000.html"
              test="not(@typeCode) or count($theAttValue) = count($theAttCheck)">(CDAcomponentOf): Der Wert von typeCode MUSS gewählt werden aus Value Set '2.16.840.1.113883.1.11.19600' x_EncounterParticipant (DYNAMIC).</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.113-2005-09-07T000000.html"
              test="count(hl7:time)&lt;=1">(CDAcomponentOf): Element hl7:time kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.113-2005-09-07T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 ">(CDAcomponentOf): Element hl7:assignedEntity ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.113-2005-09-07T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(CDAcomponentOf): Element hl7:assignedEntity kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.113
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:encounterParticipant/hl7:time
Item: (CDAcomponentOf)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:encounterParticipant/hl7:time"
         id="d11182e66-false-d12252e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.113-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAcomponentOf): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.113
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:encounterParticipant/hl7:assignedEntity
Item: (CDAcomponentOf)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.153
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:encounterParticipant/hl7:assignedEntity
Item: (CDAAssignedEntity)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:encounterParticipant/hl7:assignedEntity">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="string(@classCode)=('ASSIGNED') or not(@classCode)">(CDAAssignedEntity): Der Wert von @classCode MUSS 'ASSIGNED' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="count(hl7:id)&gt;=1 ">(CDAAssignedEntity): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="count(hl7:code)&lt;=1">(CDAAssignedEntity): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="count(hl7:assignedPerson)&lt;=1">(CDAAssignedEntity): Element hl7:assignedPerson kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="count(hl7:representedOrganization)&lt;=1">(CDAAssignedEntity): Element hl7:representedOrganization kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.153
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:encounterParticipant/hl7:assignedEntity/hl7:id
Item: (CDAAssignedEntity)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:encounterParticipant/hl7:assignedEntity/hl7:id">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAssignedEntity): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.153
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:encounterParticipant/hl7:assignedEntity/hl7:code
Item: (CDAAssignedEntity)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:encounterParticipant/hl7:assignedEntity/hl7:code">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAssignedEntity): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.111')">(CDAAssignedEntity): Der Elementinhalt MUSS einer von 'codeSystem '2.16.840.1.113883.5.111'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.153
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:encounterParticipant/hl7:assignedEntity/hl7:addr
Item: (CDAAssignedEntity)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:encounterParticipant/hl7:assignedEntity/hl7:addr">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAssignedEntity): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.153
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:encounterParticipant/hl7:assignedEntity/hl7:telecom
Item: (CDAAssignedEntity)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:encounterParticipant/hl7:assignedEntity/hl7:telecom">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.153-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAAssignedEntity): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.153
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:encounterParticipant/hl7:assignedEntity/hl7:assignedPerson
Item: (CDAAssignedEntity)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.152
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:encounterParticipant/hl7:assignedEntity/hl7:assignedPerson
Item: (CDAPerson)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:encounterParticipant/hl7:assignedEntity/hl7:assignedPerson">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.152-2005-09-07T000000.html"
              test="string(@classCode)=('PSN') or not(@classCode)">(CDAPerson): Der Wert von @classCode MUSS 'PSN' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.152-2005-09-07T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDAPerson): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.152
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:encounterParticipant/hl7:assignedEntity/hl7:assignedPerson/hl7:name
Item: (CDAPerson)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:encounterParticipant/hl7:assignedEntity/hl7:assignedPerson/hl7:name">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.152-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAPerson): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PN" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.153
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:encounterParticipant/hl7:assignedEntity/hl7:representedOrganization
Item: (CDAAssignedEntity)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:encounterParticipant/hl7:assignedEntity/hl7:representedOrganization
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:encounterParticipant/hl7:assignedEntity/hl7:representedOrganization">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="string(@classCode)=('ORG') or not(@classCode)">(CDAOrganization): Der Wert von @classCode MUSS 'ORG' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDAOrganization): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:standardIndustryClassCode)&lt;=1">(CDAOrganization): Element hl7:standardIndustryClassCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:asOrganizationPartOf)&lt;=1">(CDAOrganization): Element hl7:asOrganizationPartOf kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:encounterParticipant/hl7:assignedEntity/hl7:representedOrganization/hl7:id
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:encounterParticipant/hl7:assignedEntity/hl7:representedOrganization/hl7:id">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:encounterParticipant/hl7:assignedEntity/hl7:representedOrganization/hl7:name
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:encounterParticipant/hl7:assignedEntity/hl7:representedOrganization/hl7:name">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ON" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:encounterParticipant/hl7:assignedEntity/hl7:representedOrganization/hl7:telecom
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:encounterParticipant/hl7:assignedEntity/hl7:representedOrganization/hl7:telecom">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:encounterParticipant/hl7:assignedEntity/hl7:representedOrganization/hl7:addr
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:encounterParticipant/hl7:assignedEntity/hl7:representedOrganization/hl7:addr">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:encounterParticipant/hl7:assignedEntity/hl7:representedOrganization/hl7:standardIndustryClassCode
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:encounterParticipant/hl7:assignedEntity/hl7:representedOrganization/hl7:standardIndustryClassCode">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:encounterParticipant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:encounterParticipant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="string(@classCode)=('PART') or not(@classCode)">(CDAOrganization): Der Wert von @classCode MUSS 'PART' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:code)&lt;=1">(CDAOrganization): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:statusCode)&lt;=1">(CDAOrganization): Element hl7:statusCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(CDAOrganization): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:wholeOrganization)&lt;=1">(CDAOrganization): Element hl7:wholeOrganization kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:encounterParticipant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:id
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:encounterParticipant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:id">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:encounterParticipant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:code
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:encounterParticipant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:code">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.111')">(CDAOrganization): Der Elementinhalt MUSS einer von 'codeSystem '2.16.840.1.113883.5.111'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:encounterParticipant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:statusCode
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:encounterParticipant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:statusCode">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15999-DYNAMIC.xml')//valueSet[1]/conceptList/concept[@code = $theCode] or completeCodeSystem)">(CDAOrganization): Der Elementinhalt MUSS einer von '2.16.840.1.113883.1.11.15999 RoleStatus (DYNAMIC)' sein.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15999-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDAOrganization): Der fehlende Wert '<value-of select="@nullFlavor"/>' für @code MUSS gewählt werden aus dem Set gültiger null flavors für dieses Attribut oder denen assoziiert mit Value Set 2.16.840.1.113883.1.11.15999 RoleStatus (DYNAMIC).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:encounterParticipant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:effectiveTime
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:encounterParticipant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:effectiveTime">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:encounterParticipant/hl7:assignedEntity/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization
Item: (CDAOrganization)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.113
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:location
Item: (CDAcomponentOf)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:location"
         id="d11182e72-false-d12930e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.113-2005-09-07T000000.html"
              test="string(@typeCode)=('LOC') or not(@typeCode)">(CDAcomponentOf): Der Wert von @typeCode MUSS 'LOC' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.113-2005-09-07T000000.html"
              test="count(hl7:healthCareFacility)&gt;=1 ">(CDAcomponentOf): Element hl7:healthCareFacility ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.113-2005-09-07T000000.html"
              test="count(hl7:healthCareFacility)&lt;=1">(CDAcomponentOf): Element hl7:healthCareFacility kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.113
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:location/hl7:healthCareFacility
Item: (CDAcomponentOf)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:location/hl7:healthCareFacility"
         id="d11182e76-false-d12955e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.113-2005-09-07T000000.html"
              test="string(@classCode)=('SDLOC') or not(@classCode)">(CDAcomponentOf): Der Wert von @classCode MUSS 'SDLOC' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.113-2005-09-07T000000.html"
              test="count(hl7:code)&lt;=1">(CDAcomponentOf): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.113-2005-09-07T000000.html"
              test="count(hl7:location)&lt;=1">(CDAcomponentOf): Element hl7:location kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.113-2005-09-07T000000.html"
              test="count(hl7:serviceProviderOrganization)&lt;=1">(CDAcomponentOf): Element hl7:serviceProviderOrganization kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.113
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:location/hl7:healthCareFacility/hl7:id
Item: (CDAcomponentOf)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:location/hl7:healthCareFacility/hl7:id"
         id="d11182e80-false-d13051e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.113-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAcomponentOf): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.113
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:location/hl7:healthCareFacility/hl7:code
Item: (CDAcomponentOf)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:location/hl7:healthCareFacility/hl7:code"
         id="d11182e82-false-d13065e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.113-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAcomponentOf): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.113-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.17660-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDAcomponentOf): Der Elementinhalt MUSS einer von '2.16.840.1.113883.1.11.17660 ServiceDeliveryLocationRoleType (DYNAMIC)' sein.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.17660-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.113-2005-09-07T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDAcomponentOf): Der fehlende Wert '<value-of select="@nullFlavor"/>' für @code MUSS gewählt werden aus dem Set gültiger null flavors für dieses Attribut oder denen assoziiert mit Value Set 2.16.840.1.113883.1.11.17660 ServiceDeliveryLocationRoleType (DYNAMIC).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.113
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:location/hl7:healthCareFacility/hl7:location
Item: (CDAcomponentOf)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.317
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:location/hl7:healthCareFacility/hl7:location
Item: (CDAPlace)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:location/hl7:healthCareFacility/hl7:location">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.317-2005-09-07T000000.html"
              test="string(@classCode)=('PLC') or not(@classCode)">(CDAPlace): Der Wert von @classCode MUSS 'PLC' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.317-2005-09-07T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDAPlace): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.317-2005-09-07T000000.html"
              test="count(hl7:name)&lt;=1">(CDAPlace): Element hl7:name kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.317-2005-09-07T000000.html"
              test="count(hl7:addr)&lt;=1">(CDAPlace): Element hl7:addr kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.317
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:location/hl7:healthCareFacility/hl7:location/hl7:name
Item: (CDAPlace)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:location/hl7:healthCareFacility/hl7:location/hl7:name">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.317-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='EN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAPlace): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:EN" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="EN"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.317
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:location/hl7:healthCareFacility/hl7:location/hl7:addr
Item: (CDAPlace)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:location/hl7:healthCareFacility/hl7:location/hl7:addr">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.317-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAPlace): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.113
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:location/hl7:healthCareFacility/hl7:serviceProviderOrganization
Item: (CDAcomponentOf)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:location/hl7:healthCareFacility/hl7:serviceProviderOrganization
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:location/hl7:healthCareFacility/hl7:serviceProviderOrganization">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="string(@classCode)=('ORG') or not(@classCode)">(CDAOrganization): Der Wert von @classCode MUSS 'ORG' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDAOrganization): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:standardIndustryClassCode)&lt;=1">(CDAOrganization): Element hl7:standardIndustryClassCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:asOrganizationPartOf)&lt;=1">(CDAOrganization): Element hl7:asOrganizationPartOf kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:location/hl7:healthCareFacility/hl7:serviceProviderOrganization/hl7:id
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:location/hl7:healthCareFacility/hl7:serviceProviderOrganization/hl7:id">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:location/hl7:healthCareFacility/hl7:serviceProviderOrganization/hl7:name
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:location/hl7:healthCareFacility/hl7:serviceProviderOrganization/hl7:name">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ON" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:location/hl7:healthCareFacility/hl7:serviceProviderOrganization/hl7:telecom
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:location/hl7:healthCareFacility/hl7:serviceProviderOrganization/hl7:telecom">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:location/hl7:healthCareFacility/hl7:serviceProviderOrganization/hl7:addr
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:location/hl7:healthCareFacility/hl7:serviceProviderOrganization/hl7:addr">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:location/hl7:healthCareFacility/hl7:serviceProviderOrganization/hl7:standardIndustryClassCode
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:location/hl7:healthCareFacility/hl7:serviceProviderOrganization/hl7:standardIndustryClassCode">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:location/hl7:healthCareFacility/hl7:serviceProviderOrganization/hl7:asOrganizationPartOf
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:location/hl7:healthCareFacility/hl7:serviceProviderOrganization/hl7:asOrganizationPartOf">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="string(@classCode)=('PART') or not(@classCode)">(CDAOrganization): Der Wert von @classCode MUSS 'PART' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:code)&lt;=1">(CDAOrganization): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:statusCode)&lt;=1">(CDAOrganization): Element hl7:statusCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(CDAOrganization): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:wholeOrganization)&lt;=1">(CDAOrganization): Element hl7:wholeOrganization kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:location/hl7:healthCareFacility/hl7:serviceProviderOrganization/hl7:asOrganizationPartOf/hl7:id
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:location/hl7:healthCareFacility/hl7:serviceProviderOrganization/hl7:asOrganizationPartOf/hl7:id">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:location/hl7:healthCareFacility/hl7:serviceProviderOrganization/hl7:asOrganizationPartOf/hl7:code
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:location/hl7:healthCareFacility/hl7:serviceProviderOrganization/hl7:asOrganizationPartOf/hl7:code">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.111')">(CDAOrganization): Der Elementinhalt MUSS einer von 'codeSystem '2.16.840.1.113883.5.111'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:location/hl7:healthCareFacility/hl7:serviceProviderOrganization/hl7:asOrganizationPartOf/hl7:statusCode
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:location/hl7:healthCareFacility/hl7:serviceProviderOrganization/hl7:asOrganizationPartOf/hl7:statusCode">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15999-DYNAMIC.xml')//valueSet[1]/conceptList/concept[@code = $theCode] or completeCodeSystem)">(CDAOrganization): Der Elementinhalt MUSS einer von '2.16.840.1.113883.1.11.15999 RoleStatus (DYNAMIC)' sein.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15999-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDAOrganization): Der fehlende Wert '<value-of select="@nullFlavor"/>' für @code MUSS gewählt werden aus dem Set gültiger null flavors für dieses Attribut oder denen assoziiert mit Value Set 2.16.840.1.113883.1.11.15999 RoleStatus (DYNAMIC).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:location/hl7:healthCareFacility/hl7:serviceProviderOrganization/hl7:asOrganizationPartOf/hl7:effectiveTime
Item: (CDAOrganization)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:location/hl7:healthCareFacility/hl7:serviceProviderOrganization/hl7:asOrganizationPartOf/hl7:effectiveTime">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganization): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:componentOf/hl7:encompassingEncounter/hl7:location/hl7:healthCareFacility/hl7:serviceProviderOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization
Item: (CDAOrganization)
-->
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.1.1.3.9.1
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:component
Item: (CDA-CH-LREP-V1)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:component"
         id="d109e1020-false-d13519e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.756.5.30.1.1.1.1.3.9.1-2016-03-23T164400.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(CDA-CH-LREP-V1): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.756.5.30.1.1.1.1.3.9.1-2016-03-23T164400.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(CDA-CH-LREP-V1): Attribute @typeCode MUSS vom Datentyp 'cs' sein</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.756.5.30.1.1.1.1.3.9.1-2016-03-23T164400.html"
              test="@contextConductionInd">(CDA-CH-LREP-V1): Attribut @contextConductionInd MUSS vorkommen.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.756.5.30.1.1.1.1.3.9.1-2016-03-23T164400.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(CDA-CH-LREP-V1): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.756.5.30.1.1.1.1.3.9.1-2016-03-23T164400.html"
              test="count(hl7:component)&gt;=1 ">(CDA-CH-LREP-V1): Element hl7:component ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.756.5.30.1.1.1.1.3.9.1-2016-03-23T164400.html"
              test="count(hl7:component)&lt;=1">(CDA-CH-LREP-V1): Element hl7:component kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.1.1.3.9.1
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:component/hl7:component
Item: (CDA-CH-LREP-V1)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:component/hl7:component"
         id="d109e1026-false-d13554e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.756.5.30.1.1.1.1.3.9.1-2016-03-23T164400.html"
              test="@contextConductionInd">(CDA-CH-LREP-V1): Attribut @contextConductionInd MUSS vorkommen.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.756.5.30.1.1.1.1.3.9.1-2016-03-23T164400.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(CDA-CH-LREP-V1): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.756.5.30.1.1.1.1.3.9.1-2016-03-23T164400.html"
              test="count(hl7:structuredBody)&gt;=1 ">(CDA-CH-LREP-V1): Element hl7:structuredBody ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.756.5.30.1.1.1.1.3.9.1-2016-03-23T164400.html"
              test="count(hl7:structuredBody)&lt;=1">(CDA-CH-LREP-V1): Element hl7:structuredBody kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.1.1.3.9.1
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:component/hl7:component/hl7:structuredBody
Item: (CDA-CH-LREP-V1)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:component/hl7:component/hl7:structuredBody"
         id="d109e1030-false-d13582e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.756.5.30.1.1.1.1.3.9.1-2016-03-23T164400.html"
              test="count(hl7:component[hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.3' and hl7:templateId/@root='2.16.840.1.113883.10.12.201']])&gt;=1 and not(hl7:component[hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.3' and hl7:templateId/@root='2.16.840.1.113883.10.12.201']]/@nullFlavor)">(CDA-CH-LREP-V1): Element hl7:component[hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.3' and hl7:templateId/@root='2.16.840.1.113883.10.12.201']] ist mandatory [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.1.1.3.9.1
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:component/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.3' and hl7:templateId/@root='2.16.840.1.113883.10.12.201']]
Item: (CDA-CH-LREP-V1)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.2' and hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.1' and hl7:templateId/@root='2.16.840.1.113883.10.12.1']/hl7:component/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId/@root='2.16.756.5.30.1.1.1.1.3.9.77.1.10.3' and hl7:templateId/@root='2.16.840.1.113883.10.12.201']]">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/lrep-html-20160324T153530/tmp-2.16.756.5.30.1.1.1.1.3.9.1-2016-03-23T164400.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(CDA-CH-LREP-V1): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein</assert>
   </rule>
</pattern>
